<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * (http://www.phpgroupware.org)                                            *
  * Written by Bettina Gille  [aeb@hansenet.de]                              *
  * --------------------------------------------------------                 *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
/* $Id: delivery_print.php,v 1.14 2001/01/22 01:45:50 bettina Exp $ */
  
  $phpgw_info["flags"] = array("currentapp" => "inv",
                               "noheader" => True, 
                               "nonavbar" => True);         
  include("../header.inc.php");

  $t = new Template($phpgw_info["server"]["app_tpl"]);
  $t->set_file(array( "delivery_print_t" => "delivery_print.tpl",
                      "delivery_print"   => "delivery_print.tpl"));
  $t->set_block("delivery_print_t", "delivery_print", "print");

  if (isset($phpgw_info["user"]["preferences"]["inv"]["address"])) {
    $t->set_var("error","");     
     if ($phpgw_info["apps"]["timetrack"]["enabled"]) {                                                                                                                        
     $phpgw->db->query("SELECT ab_firstname,ab_lastname,ab_street,ab_zip,ab_city,ab_state,ab_company_id,company_name FROM "                                                    
                     . "addressbook,customers where "                                                                                                                          
                     . "ab_company_id='" .$phpgw_info["user"]["preferences"]["inv"]["address"]."' and "
                     . "customers.company_id=addressbook.ab_company_id");                                                                      
         }
       else {                                                                                                                                                                   
    $phpgw->db->query("select ab_id,ab_lastname,ab_firstname,ab_street,ab_zip,ab_city,ab_state,ab_company from addressbook where "                                             
                        . "ab_id='" .$phpgw_info["user"]["preferences"]["inv"]["address"]."'");                                                                           
              }
      if ($phpgw->db->next_record()) {                                                                                                                                         
     if ($phpgw_info["apps"]["timetrack"]["enabled"])
      $t->set_var("ad_company",$phpgw->db->f("company_name"));
     else       
      $t->set_var("ad_company",$phpgw->db->f("ab_company"));                                                                                                                   

      $t->set_var("ad_firstname",$phpgw->db->f("ab_firstname"));                                                                                                               
      $t->set_var("ad_lastname",$phpgw->db->f("ab_lastname"));                                                                                                                 
      $t->set_var("ad_street",$phpgw->db->f("ab_street"));                                                                                                                     
      $t->set_var("ad_zip",$phpgw->db->f("ab_zip"));                                                                                                                           
      $t->set_var("ad_city",$phpgw->db->f("ab_city"));                                                                                                                         
      $t->set_var("ad_state",$phpgw->db->f("ab_state"));                                                                                                                       
            }   
       }
    else                                                                                                                                                                      
    $t->set_var("error",lang("Please select your address in preferences!"));                                                                                     
   
    $t->set_var("site_title",$phpgw_info["site_descr"]);   
    $charset = $phpgw->translation->translate("charset");                                                                                                                                         
    $t->set_var("charset",$charset);   
    $t->set_var("font",$phpgw_info["theme"]["font"]);   
    $t->set_var("to","");        
    $t->set_var(lang_delivery,lang("Delivery ID"));      
    $t->set_var(lang_order_descr,lang("Order"));      
    $t->set_var(lang_pos,lang("Pos."));       
    $t->set_var(lang_date,lang("Delivery date"));      
    $t->set_var(lang_order_descr,lang("Description"));
    $t->set_var(lang_piece,lang("Piece"));
    $t->set_var(lang_product_id,lang("Product ID"));
    $t->set_var(lang_product_name,lang("Name"));
    $t->set_var(lang_product_descr,lang("Description"));
  

  if (!$delivery_id) {
   if ($phpgw_info["apps"]["timetrack"]["enabled"]) {
   $phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_delivery.num,phpgw_inv_delivery.order_id, "
                 . "phpgw_inv_delivery.date,ab_company_id,company_name,ab_firstname,ab_lastname,ab_street,ab_zip, "
                 . "ab_city,ab_state FROM addressbook,customers,phpgw_inv_delivery,phpgw_inv_orders WHERE "
                 . "phpgw_inv_delivery.order_id='$order_id' AND phpgw_inv_orders.num='$order_id' AND "
                 . "phpgw_inv_orders.customer=ab_company_id AND customers.company_id=addressbook.ab_company_id");
      }
   else {    
   $phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_delivery.num,phpgw_inv_delivery.order_id, "
                 . "phpgw_inv_delivery.date,ab_id,ab_company,ab_firstname,ab_lastname,ab_street,ab_zip, "
                 . "ab_city,ab_state FROM addressbook,phpgw_inv_delivery,phpgw_inv_orders WHERE "
                 . "phpgw_inv_delivery.order_id='$order_id' AND phpgw_inv_orders.customer=ab_id AND phpgw_inv_orders.num='$order_id'");
           }
   if ($phpgw->db->next_record()) {
   if ($phpgw_info["apps"]["timetrack"]["enabled"])
   $t->set_var("company",$phpgw->db->f("company_name"));
   else
   $t->set_var("company",$phpgw->db->f("ab_company"));                                                                                                                                           

   $t->set_var("firstname",$phpgw->db->f("ab_firstname"));                                                                                                                                       
   $t->set_var("lastname",$phpgw->db->f("ab_lastname"));                                                                                                                                         
   $t->set_var("street",$phpgw->db->f("ab_street"));                                                                                                                                             
   $t->set_var("zip",$phpgw->db->f("ab_zip"));                                                                                                                                                   
   $t->set_var("city",$phpgw->db->f("ab_city"));
   $t->set_var("state",$phpgw->db->f("ab_state"));
   $t->set_var("delivery_day",date("j",$phpgw->db->f("date")));                                                                                                                                  
   $t->set_var("delivery_month",date("n",$phpgw->db->f("date")));                                                                                                                                
   $t->set_var("delivery_year",date("Y",$phpgw->db->f("date")));                                                                                                                                 
   $t->set_var("delivery_num",$phpgw->strip_html($phpgw->db->f("num")));                                                                                                                                             
   $order_descr = $phpgw->strip_html($phpgw->db->f("descr"));                                                                                                                            
   if (!$order_descr) $order_descr = "&nbsp;";   
   $t->set_var("order_descr",$order_descr);                                                                                                                                                 
     }
   }                                                                                                                                                                             
  else {                                                                                                                                                                                 
   if ($phpgw_info["apps"]["timetrack"]["enabled"]) {                                                                                                                                                  
   $phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_delivery.id,phpgw_inv_delivery.num, "
                 . "phpgw_inv_delivery.order_id,phpgw_inv_delivery.date, "                                                                          
                 . "ab_company_id,company_name,ab_firstname,ab_lastname,ab_street,ab_zip, "                                                                                                            
                 . "ab_city,ab_state FROM addressbook,customers,phpgw_inv_delivery,phpgw_inv_orders WHERE "                                                                                                                 
                 . "phpgw_inv_delivery.id='$delivery_id' AND phpgw_inv_delivery.order_id=phpgw_inv_orders.num AND "                                                                                                             
                 . "phpgw_inv_orders.customer=ab_company_id AND customers.company_id=addressbook.ab_company_id");                                                                                                                                                                                                 
    }                                                                                                                                                                                                  
   else {                                                                                                                                                                                              
   $phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_delivery.id,phpgw_inv_delivery.num, "
                 . "phpgw_inv_delivery.order_id,phpgw_inv_delivery.date, "                                                                          
                 . "ab_id,ab_company,ab_firstname,ab_lastname,ab_street,ab_zip, "                                                                                                                      
                 . "ab_city,ab_state FROM addressbook,phpgw_inv_delivery,phpgw_inv_orders WHERE "                                                                                                                          
                 . "phpgw_inv_delivery.id='$delivery_id' AND phpgw_inv_orders.customer=ab_id "
                 . "AND phpgw_inv_delivery.order_id=phpgw_inv_orders.num");                                                                                  
                }
   if ($phpgw->db->next_record()) {                                                                                                                                                                    
   if ($phpgw_info["apps"]["timetrack"]["enabled"])
   $t->set_var("company",$phpgw->db->f("company_name")); 
   else
   $t->set_var("company",$phpgw->db->f("ab_company"));                                                                                                                                                 

   $t->set_var("firstname",$phpgw->db->f("ab_firstname"));                                                                                                                                             
   $t->set_var("lastname",$phpgw->db->f("ab_lastname"));                                                                                                                                               
   $t->set_var("street",$phpgw->db->f("ab_street"));                                                                                                                                                   
   $t->set_var("zip",$phpgw->db->f("ab_zip"));                                                                                                                                                         
   $t->set_var("city",$phpgw->db->f("ab_city")); 
   $t->set_var("state",$phpgw->db->f("ab_state"));                                                                                                                                                       
   $t->set_var("delivery_day",date("j",$phpgw->db->f("date")));                                                                                                                                        
   $t->set_var("delivery_month",date("n",$phpgw->db->f("date")));                                                                                                                                      
   $t->set_var("delivery_year",date("Y",$phpgw->db->f("date")));                                                                                                                                       
   $t->set_var("delivery_num",$phpgw->strip_html($phpgw->db->f("num")));                                                                                                                                                   
   $order_descr = $phpgw->strip_html($phpgw->db->f("descr"));                                                                                                                            
   if (!$order_descr) $order_descr = "&nbsp;";   
   $t->set_var("order_descr",$order_descr);           
     }                           
   }                       
   $pos = 0;

  if (!$delivery_id) { 
  $phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.piece "                                                                                                        
                . "FROM phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON phpgw_inv_products.id=phpgw_inv_orderpos.product_id "                                                                                          
                . "WHERE phpgw_inv_orderpos.order_id='$order_id'");
                  }
  else { 
  $phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.order_id,phpgw_inv_orderpos.piece FROM phpgw_inv_products "
                  . "LEFT JOIN phpgw_inv_orderpos ON "
                  . "phpgw_inv_products.id=phpgw_inv_orderpos.product_id LEFT JOIN phpgw_inv_deliverypos ON "
                  . "phpgw_inv_deliverypos.product_id=phpgw_inv_products.id LEFT JOIN phpgw_inv_delivery ON "
                  . "phpgw_inv_delivery.order_id=phpgw_inv_orderpos.order_id "
                  . "WHERE phpgw_inv_delivery.id='$delivery_id' AND phpgw_inv_deliverypos.delivery_id='$delivery_id'");                                                                                                                                     
                  }

  while ($phpgw->db->next_record()) {
	$pos++;
	$t->set_var("pos",$pos);
	
        $t->set_var("piece",$phpgw->db->f("piece"));
	$t->set_var("id",$phpgw->db->f("id"));
        $name = $phpgw->strip_html($phpgw->db->f("name"));                                                                                                                            
        if (!$name) $name = "&nbsp;";	
        $t->set_var("name",$name);
        $pro_descr = $phpgw->strip_html($phpgw->db->f("des"));                                                                                                                            
        if (!$pro_descr) $pro_descr = "&nbsp;";	
	$t->set_var("pro_descr",$pro_descr);
        $t->parse("print", "delivery_print", true);
      }
   

   $t->parse("out", "delivery_print_t", true);
   $t->p("out");

?>
