<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * (http://www.phpgroupware.org)                                            *
  * Written by Lars Kneschke  [lars@kneschke.de]                             *
  * --------------------------------------------------------                 *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
/* $Id: pdf_layout.inc.php,v 1.5 2001/01/25 22:30:18 lkneschke Exp $ */
  
class deliveryPDF
{
  var $id;
  var $orderText;
  var $date;

  function createAddress($_pdf,$_logo) 
  {
  	global $phpgw_info, $phpgw, $delivery_id, $order_id;
  	
	pdf_set_font($_pdf, "Helvetica" , 11,winansi);

  	if (!$delivery_id) 
          {
  		if ($phpgw_info["apps"]["timetrack"]["enabled"]) 
                 {
   			$phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_delivery.num,phpgw_inv_delivery.order_id, "
                 		. "phpgw_inv_delivery.date,ab_company_id,company_name,ab_firstname,ab_lastname,ab_street,ab_zip, "
                 		. "ab_city,ab_state,ab_title FROM addressbook,customers,phpgw_inv_delivery,phpgw_inv_orders WHERE "
                 		. "phpgw_inv_delivery.order_id='$order_id' AND phpgw_inv_orders.num='$order_id' AND "
                 		. "phpgw_inv_orders.customer=ab_company_id AND customers.company_id=addressbook.ab_company_id");
                }
   		else  
                 {    
   			$phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_delivery.num,phpgw_inv_delivery.order_id, "
                 		. "phpgw_inv_delivery.date,ab_id,ab_company,ab_firstname,ab_lastname,ab_street,ab_zip, "
                 		. "ab_city,ab_state,ab_title FROM addressbook,phpgw_inv_delivery,phpgw_inv_orders WHERE "
                 		. "phpgw_inv_delivery.order_id='$order_id' AND phpgw_inv_orders.customer=ab_id AND phpgw_inv_orders.num='$order_id'");
                }
  	}                                                                                                                                                                             
  	else 
  	{                                                                                                                                                                                 
   		if ($phpgw_info["apps"]["timetrack"]["enabled"]) 
   		{ 
   			$phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_delivery.id,phpgw_inv_delivery.num, "
                 		. "phpgw_inv_delivery.order_id,phpgw_inv_delivery.date, "                                                                          
                 		. "ab_company_id,company_name,ab_firstname,ab_lastname,ab_street,ab_zip, "                                                                                                            
                 		. "ab_city,ab_state,ab_title FROM addressbook,customers,phpgw_inv_delivery,phpgw_inv_orders WHERE "                                                                                                                 
                 		. "phpgw_inv_delivery.id='$delivery_id' AND phpgw_inv_delivery.order_id=phpgw_inv_orders.num AND "                                                                                                             
                 		. "phpgw_inv_orders.customer=ab_company_id AND customers.company_id=addressbook.ab_company_id");                                                                                            
    		}                                                                                                                                                                                                  
   		else 
   		{                                                                                                                                                                                              
   			$phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_delivery.id,phpgw_inv_delivery.num, "
                 		. "phpgw_inv_delivery.order_id,phpgw_inv_delivery.date, "                                                                          
                 		. "ab_id,ab_company,ab_firstname,ab_lastname,ab_street,ab_zip, "                                                                                                                      
                 		. "ab_city,ab_state,ab_title FROM addressbook,phpgw_inv_delivery,phpgw_inv_orders WHERE "                                                                                                                          
                 		. "phpgw_inv_delivery.id='$delivery_id' AND phpgw_inv_orders.customer=ab_id "
                                . "AND phpgw_inv_delivery.order_id=phpgw_inv_orders.num");                                                                                  
              }                                                                                                                                                                                                   
  	}  	
	if ($phpgw->db->next_record()) 
	{
   	
        if ($phpgw_info["apps"]["timetrack"]["enabled"])
        	$company = $phpgw->db->f("company_name");
                else 
                $company = $phpgw->db->f("ab_company");
                

		pdf_show_xy($_pdf,$company,60,660);
		pdf_continue_text($_pdf,$phpgw->db->f("ab_title")." ".$phpgw->db->f("ab_firstname")." ".$phpgw->db->f("ab_lastname"));
		pdf_continue_text($_pdf,$phpgw->db->f("ab_street"));
		pdf_continue_text($_pdf,"");
		pdf_continue_text($_pdf,$phpgw->db->f("ab_zip")." ".$phpgw->db->f("ab_city"));
                pdf_continue_text($_pdf,$phpgw->db->f("ab_state"));		

		$this->id = $phpgw->db->f("num");
		$this->orderText = $phpgw->strip_html($phpgw->db->f("descr"));
	        $this->date = date("j.n.Y",$phpgw->db->f("date"));
     	}
  	$im = PDF_open_jpeg($_pdf, $_logo);
	pdf_place_image($_pdf, $im, 350, 640, 1);
	pdf_close_image($_pdf,$im);

	pdf_show_xy($_pdf,"--",1,550);
  }

  function createBody($_pdf)
  {
	global $delivery_id,$order_id,$phpgw;

	pdf_set_font($_pdf, "Helvetica" , 11,winansi);

	$texty = pdf_get_value($_pdf,"texty",0)-25; 
	pdf_show_xy($_pdf,lang("Delivery ID").": ".$this->id,60,$texty);
	pdf_continue_text($_pdf,lang("Delivery date").": ".$this->date);
	if ($this->orderText)
	{
		pdf_continue_text($_pdf,lang("Order").":".$this->orderText);
	}
	$texty -= 42;

	pdf_set_font($_pdf, "Helvetica" , 9,winansi);

	$pageNumber=1;

	pdf_show_xy($_pdf,lang("Pos"),60,$texty);
	pdf_show_xy($_pdf,lang("Piece"),90,$texty);
	pdf_show_xy($_pdf,lang("Product ID"),130,$texty);
	pdf_show_xy($_pdf,lang("Name"),190,$texty);
	#pdf_show_xy($_pdf,lang("Description"),350,$texty);

	if (!$delivery_id) 
	{
		$phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.piece "                                                                                                        
                	. "FROM phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON phpgw_inv_products.id=phpgw_inv_orderpos.product_id "                                                                                          
                	. "WHERE phpgw_inv_orderpos.order_id='$order_id'");
	}
	else 
	{
		$phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.order_id,phpgw_inv_orderpos.piece FROM phpgw_inv_products "
			. "LEFT JOIN phpgw_inv_orderpos ON "
			. "phpgw_inv_products.id=phpgw_inv_orderpos.product_id LEFT JOIN phpgw_inv_deliverypos ON "
			. "phpgw_inv_deliverypos.product_id=phpgw_inv_products.id LEFT JOIN phpgw_inv_delivery ON "
			. "phpgw_inv_delivery.order_id=phpgw_inv_orderpos.order_id "
			. "WHERE phpgw_inv_delivery.id='$delivery_id' AND phpgw_inv_deliverypos.delivery_id='$delivery_id'");
	}

	$texty = pdf_get_value($_pdf,"texty",0);
	
	while ($phpgw->db->next_record()) 
	{
		$pos++;
		$texty = $texty-20;
		
		pdf_show_xy($_pdf,$pos,60,$texty);
		
		pdf_show_xy($_pdf,$phpgw->db->f("piece"),90,$texty);
		pdf_show_xy($_pdf,$phpgw->db->f("id"),130,$texty);
        	$name = $phpgw->strip_html($phpgw->db->f("name"));                                                                                                                            
        	pdf_show_xy($_pdf,$name,190,$texty);
        	$pro_descr = $phpgw->strip_html($phpgw->db->f("des"));                                                                                                                            
		pdf_show_boxed($_pdf,$pro_descr,200,$texty-50,340,48,"left");
		$texty = pdf_get_value($_pdf,"texty",0);
		if ($texty < 100)
		{
			//neue Seite beginnen
			$pageNumber++;
			createFooter($_pdf);
			PDF_end_page($_pdf);
			PDF_begin_page($_pdf, 595, 842);
			pdf_set_font($_pdf, "Helvetica" , 9,winansi);
			$texty = 770;
			pdf_show_xy($_pdf,lang("Pos"),60,$texty);
			pdf_show_xy($_pdf,lang("Piece"),90,$texty);
			pdf_show_xy($_pdf,lang("Product ID"),130,$texty);
			pdf_show_xy($_pdf,lang("Name"),190,$texty);
			pdf_show_xy($_pdf,lang("Description"),350,$texty);
			PDF_add_outline($_pdf, lang("Page")." ".$pageNumber);
		}
        }


  }

  function createFooter($_pdf)
  {
  	global $phpgw_info, $phpgw;

	if (isset($phpgw_info["user"]["preferences"]["inv"]["address"])) 
	{
     		if ($phpgw_info["apps"]["timetrack"]["enabled"]) 
     		{ 
     			$phpgw->db->query("SELECT ab_firstname,ab_lastname,ab_street,ab_zip,ab_city,ab_state,ab_company_id,company_name FROM "
                     		. "addressbook,customers,ab_wphone,ab_fax,ab_email,ab_url,ab_ophone where "
                     		. "ab_company_id='" .$phpgw_info["user"]["preferences"]["inv"]["address"]."' and "
                     		. "customers.company_id=addressbook.ab_company_id");		
                 }
		else
		{
			$query = "select ab_id,ab_lastname,ab_firstname,ab_street,ab_zip,ab_city,".
				 "ab_state,ab_company,ab_wphone,ab_fax,ab_email,ab_url,ab_ophone from addressbook where "
                        		. "ab_id='" .$phpgw_info["user"]["preferences"]["inv"]["address"]."'";
			$phpgw->db->query($query);

		}
		if ($phpgw->db->next_record())
		{
			// let's fill a array where we store all needed data
                	if ($phpgw_info["apps"]["timetrack"]["enabled"])                                                                                                                                           
                	$footer["company"] = $phpgw->db->f("company_name");                                                                                                                                          
                	else                                                                                                                                                                               
                	$footer["company"] = $phpgw->db->f("ab_company");
                	
                	$footer["street"] = $phpgw->db->f("ab_street");
                	$footer["zip"] = $phpgw->db->f("ab_zip");
                	$footer["city"] = $phpgw->db->f("ab_city");
                	$footer["state"] = $phpgw->db->f("ab_state");
                	
                	$footer["phone_global"] = $phpgw->db->f("ab_wphone");
                	$footer["phone_direct"] = $phpgw->db->f("ab_ophone");
                	$footer["fax"] = $phpgw->db->f("ab_fax");
                	$footer["email"] = $phpgw->db->f("ab_email"); 
                	$footer["www"] = $phpgw->db->f("ab_url"); 

			#pdf_show_xy($_pdf,$line,50,20);
                }
                
                pdf_show_xy($_pdf,$footer["company"],50,50);
                pdf_show_xy($_pdf,lang("phone").": ".$footer["phone_global"],200,50);
                pdf_show_xy($_pdf,$footer["phone_direct"],400,40);
                
                pdf_show_xy($_pdf,$footer["street"],50,40);
                pdf_show_xy($_pdf,lang("fax").": ".$footer["fax"],200,40);
                pdf_show_xy($_pdf,$phpgw_info["user"]["firstname"]." ".$phpgw_info["user"]["lastname"],400,50);
                
                pdf_show_xy($_pdf,$footer["zip"]." ".$footer["city"],50,30);
                pdf_show_xy($_pdf,lang("email").": ".$footer["email"],200,30);

                pdf_show_xy($_pdf,$footer["state"],50,20);
                pdf_show_xy($_pdf,lang("www").": ".$footer["www"],200,20);
	}
   	else 
   	{                                                                                                                                                                      
    		pdf_show_xy($_pdf,lang("Please select your address in preferences!"),50,690);
    	}
  }
}

class invoicePDF extends deliveryPDF
{

  function createBody($_pdf) 
  {
	global $invoice_id,$order_id,$phpgw;

	pdf_set_font($_pdf, "Helvetica" , 11,winansi);

	$texty = pdf_get_value($_pdf,"texty",0)-25; 
	pdf_show_xy($_pdf,lang("Invoice ID").": ".$this->id,60,$texty);
	pdf_continue_text($_pdf,lang("Invoice date").": ".$this->date);
	if ($this->orderText)
	{
		pdf_continue_text($_pdf,lang("Order").":".$this->orderText);
	}
	$texty -= 42;

	pdf_set_font($_pdf, "Helvetica" , 9,winansi);

  	if (isset($phpgw_info["user"]["preferences"]["common"]["currency"]))
  	{
     		$currency = $phpgw_info["user"]["preferences"]["common"]["currency"];
     	}
     	else
     	{
     		// that's not so good, because it moved the current text position up
     		#pdf_show_xy($_pdf,lang("Please select currency and your address in preferences!"),50,690);
     		$currency = "DM";
     	}
	
        $pageNumber=1;

	$texty = pdf_get_value($_pdf,"texty",0)-25; 

	pdf_show_xy($_pdf,lang("Pos"),60,$texty);
	pdf_show_xy($_pdf,lang("Piece"),90,$texty);
	pdf_show_xy($_pdf,lang("Product ID"),130,$texty);
	pdf_show_xy($_pdf,lang("Name"),190,$texty);
	#pdf_show_xy($_pdf,lang("Description"),350,$texty);
        pdf_show_xy($_pdf,lang("a piece"),380,$texty);
        pdf_show_xy($_pdf,lang("Sum net"),430,$texty);
        pdf_show_xy($_pdf,lang("% tax"),480,$texty);
        pdf_show_xy($_pdf,lang("Sum"),520,$texty);

        $pos = 0;                                                                                                                                                                        
        $sum_netto = 0;                                                                                                                                                                  
        $sum_retail = 0;                                                                                                                                                                 
        $sum_piece = 0;

	if (!$invoice_id) {
		$phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.piece,phpgw_inv_orderpos.tax "                                                                                                        
                	. "FROM phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON phpgw_inv_products.id=phpgw_inv_orderpos.product_id "                                                                                          
                	. "WHERE phpgw_inv_orderpos.order_id='$order_id'");
	}
	else {
		$phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.order_id,phpgw_inv_orderpos.piece,phpgw_inv_orderpos.tax "
                        . "FROM phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON "
			. "phpgw_inv_products.id=phpgw_inv_orderpos.product_id LEFT JOIN phpgw_inv_invoicepos ON "
			. "phpgw_inv_invoicepos.product_id=phpgw_inv_products.id LEFT JOIN phpgw_inv_invoice ON "
			. "phpgw_inv_invoice.order_id=phpgw_inv_orderpos.order_id "
			. "WHERE phpgw_inv_invoice.id='$invoice_id' AND phpgw_inv_invoicepos.invoice_id='$invoice_id'");
	}

	$texty = pdf_get_value($_pdf,"texty",0);
        
	while ($phpgw->db->next_record()) 
	{
		$pos++;
		$texty = $texty-20;
		
		pdf_show_xy($_pdf,$pos,60,$texty);
		
		pdf_show_xy($_pdf,$phpgw->db->f("piece"),90,$texty);
		pdf_show_xy($_pdf,$phpgw->db->f("id"),130,$texty);
        	$name = $phpgw->strip_html($phpgw->db->f("name"));                                                                                                                            
        	pdf_show_xy($_pdf,$name,190,$texty);
		pdf_show_xy($_pdf,$phpgw->db->f("price"),380,$texty);
                $price_net = (float)($phpgw->db->f("price"))*($phpgw->db->f("piece"));
                pdf_show_xy($_pdf,sprintf("%1.2f",$price_net),430,$texty);
                pdf_show_xy($_pdf,$phpgw->db->f("tax"),480,$texty);
                $retail = $phpgw->db->f("retail");                
                $price_tax = (float)($retail*($phpgw->db->f("piece")));
                pdf_show_xy($_pdf,sprintf("%1.2f",$price_tax),520,$texty);

        	$pro_descr = $phpgw->strip_html($phpgw->db->f("des"));                                                                                                                            
		#pdf_show_xy($_pdf,$pro_descr,350,$texty);
		pdf_show_boxed($_pdf,$pro_descr,200,$texty-50,170,48,"left");

                $texty = pdf_get_value($_pdf,"texty",0);
		if ($texty < 100)  
		{
			//neue Seite beginnen
			$pageNumber++;
			createFooter($_pdf);
			PDF_end_page($_pdf);
			PDF_begin_page($_pdf, 595, 842);
			pdf_set_font($_pdf, "Helvetica" , 9,winansi);
			$texty = 770;
			pdf_show_xy($_pdf,lang("Pos"),60,$texty);
			pdf_show_xy($_pdf,lang("Piece"),90,$texty);
			pdf_show_xy($_pdf,lang("Product ID"),130,$texty);
			pdf_show_xy($_pdf,lang("Name"),190,$texty);
			pdf_show_xy($_pdf,lang("Description"),350,$texty);
                        pdf_show_xy($_pdf,lang("a piece"),380,$texty);                                                                                                                                  
                        pdf_show_xy($_pdf,lang("Sum net"),410,$texty);                                                                                                                                  
                        pdf_show_xy($_pdf,lang("% tax"),440,$texty);                                                                                                                                    
                        pdf_show_xy($_pdf,lang("Sum"),470,$texty);
			PDF_add_outline($_pdf, lang("Page")." ".$pageNumber);
		}
                $summ_net += $price_net;
                $summ +=  $price_tax;
	}

	#$sum_price += ((float)$sum_piece);
	#$sum_sum += ((float)$sum_retail);
	pdf_show_xy($_pdf,sprintf("%s %s",lang("summary in"),$currency),340,$texty-20);
	pdf_show_xy($_pdf,sprintf("%01.2f",$summ_net),430,$texty-20);
	pdf_show_xy($_pdf,sprintf("%01.2f",$summ),520,$texty-20);
  }


}

?>
