<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * (http://www.phpgroupware.org)                                            *
  * Written by Bettina Gille  [aeb@hansenet.de]                              *
  * --------------------------------------------------------                 *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
/* $Id: invoice.php,v 1.15 2001/01/11 06:43:56 bettina Exp $ */

  $phpgw_info["flags"] = array("currentapp" => "inv",
                               "enable_nextmatchs_class" => True);
  include("../header.inc.php");

  $t = new Template($phpgw_info["server"]["app_tpl"]);
  $t->set_file(array("product_list_t" => "inv_listproducts.tpl"));
  $t->set_block("product_list_t", "product_list", "list");

//  $t->set_var(date_hint,"");
  $t->set_var("lang_action",lang("Invoice"));
   

   if (isset($phpgw_info["user"]["preferences"]["common"]["currency"])) {                                                                                                                  
   $currency = $phpgw_info["user"]["preferences"]["common"]["currency"];                                                                                                                   
   $t->set_var("error","");                                                                                                                                                  
   }                                                                                                                                                                                       
   else {                                                                                                                                                                                  
   $t->set_var("error",lang("Please select your currency in preferences!"));                                                                                                 
   }
  

   if($Invoice) {
   if(!$invoice_id) {
       $phpgw->db->query("INSERT INTO phpgw_inv_invoice (sum,order_id,date) VALUES (0,'$order_id','" . time() ."')");
       $phpgw->db->query("SELECT LAST_INSERT_ID() AS id");
       $phpgw->db->next_record();
       $invoice_id = $phpgw->db->f("id");
   } else {
       $phpgw->db->query("UPDATE phpgw_inv_invoice set date='" . time() . "' WHERE id=$invoice_id");
      }
    $phpgw->db->query("DELETE FROM phpgw_inv_invoicepos WHERE invoice_id=$invoice_id");                                       
    $db2 = $phpgw->db;                                                                                                     
    $db2->query("SELECT phpgw_inv_products.id FROM phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON "                                      
                  . "phpgw_inv_products.id=phpgw_inv_orderpos.product_id WHERE phpgw_inv_orderpos.order_id='$order_id'");                    
      while($db2->next_record()) {                                                                                         
       $product_id = $db2->f("id");                                                                                        
       $phpgw->db->query("INSERT INTO phpgw_inv_invoicepos (invoice_id,product_id) VALUES ('$invoice_id','$product_id')");    
        }     
    }

  if($Invoice) {
  $phpgw->db->query("SELECT num FROM phpgw_inv_invoice WHERE num='$invoice_num' AND id!=$invoice_id");
  if($phpgw->db->next_record()) {
    $t->set_var(invoice_hint,lang("Duplicate Invoice ID !"));
   } else {
    $t->set_var(invoice_hint,"");
    $phpgw->db->query("UPDATE phpgw_inv_invoice SET date='".time()."',num='$invoice_num' WHERE id=$invoice_id");
    $phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.order_id,phpgw_inv_orderpos.piece from phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON "                                                                   
                     . "phpgw_inv_products.id=phpgw_inv_orderpos.product_id LEFT JOIN phpgw_inv_invoicepos ON "                                                                                                        
                  . "phpgw_inv_invoicepos.product_id=phpgw_inv_products.id LEFT JOIN phpgw_inv_invoice ON phpgw_inv_invoice.order_id=phpgw_inv_orderpos.order_id "                                                               
                  . "WHERE phpgw_inv_invoice.id='$invoice_id' AND phpgw_inv_invoicepos.invoice_id='$invoice_id'");                                                                                           
             while ($phpgw->db->next_record()) {
    $sum_price = (($phpgw->db->f("price"))*($phpgw->db->f("piece")));    
    $sum += ((float)$sum_price);    
           }
      $db2->query("UPDATE phpgw_inv_invoice SET sum='$sum' WHERE id=$invoice_id");      
         }     
        }
      else {
    $t->set_var(invoice_hint,"");
   }


  $common_hidden_vars =
   "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n"
 . "<input type=\"hidden\" name=\"query\" value=\"$query\">\n"
 . "<input type=\"hidden\" name=\"start\" value=\"$start\">\n"
 . "<input type=\"hidden\" name=\"filter\" value=\"$filter\">\n"
 . "<input type=\"hidden\" name=\"invoice_id\" value=\"$invoice_id\">\n"
 . "<input type=\"hidden\" name=\"order_id\" value=\"$order_id\">\n";

  $t->set_var(common_hidden_vars,$common_hidden_vars);   

//------------ list header variable template-declarations----------------------

  $t->set_var(th_bg,$phpgw_info["theme"][th_bg]);

  $t->set_var("currency",$currency);
  $t->set_var("h_lang_id",lang("Product ID"));                                                                         
  $t->set_var("h_lang_name",lang("Name"));                                                                         
  $t->set_var("h_lang_piece",lang("Piece"));                                                                                                                                                    
  $t->set_var("h_lang_des",lang("Description"));                                                                    
  $t->set_var(lang_sum_piece,lang("Sum net"));
  $t->set_var(lang_tax,lang("tax"));
  $t->set_var("h_lang_pos",lang("Pos."));
  $t->set_var("h_lang_price",lang("a piece"));
  $t->set_var("h_lang_sum",lang("Sum"));
  $t->set_var("lang_createinvoice",lang("Create invoice"));
  $t->set_var("actionurl",$phpgw->link("invoice.php"));
  $t->set_var("lang_print_invoice",lang("Print invoice"));

  if (isset($phpgw_info["user"]["preferences"]["inv"]["print_format"])) {
    $t->set_var("error","");
    if ($phpgw_info["user"]["preferences"]["inv"]["print_format"]=="html"):
     $t->set_var("print_invoice",$phpgw->link("invoice_print.php","order_id=$order_id"));  
    elseif ($phpgw_info["user"]["preferences"]["inv"]["print_format"]=="pdf"):
     $t->set_var("print_invoice",$phpgw->link("invoice_pdf.php","order_id=$order_id"));
    endif;
    }
  else {
    $t->set_var("error",lang("Please select the print format in preferences !"));
   }

  $t->set_var("lang_list_invoice",lang("List invoices"));                                                                
  $t->set_var("list_invoice",$phpgw->link("invoice_list.php","order_id=$order_id"));

// -------------- end header declaration -----------------


   if ($phpgw_info["apps"]["timetrack"]["enabled"]) {
  
   $phpgw->db->query("SELECT descr,phpgw_inv_orders.customer,ab_company_id,company_name,ab_lastname,ab_firstname "
                  . "FROM phpgw_inv_orders,addressbook,customers "
                  . "WHERE phpgw_inv_orders.num='$order_id' AND customers.company_id=addressbook.ab_company_id and "
                  . "phpgw_inv_orders.customer=ab_company_id");
    if ($phpgw->db->next_record()) {
    $t->set_var("descr",$phpgw->db->f("descr"));
    $t->set_var("customer",$phpgw->db->f("company_name")." [ ".
		$phpgw->db->f("ab_firstname")." ".$phpgw->db->f("ab_lastname")." ]");
    }  
    else {
    $t->set_var("descr",lang("no customer selected"));
    $t->set_var("customer",lang("no customer selected"));
      }
     }
   else {
   $phpgw->db->query("SELECT descr,phpgw_inv_orders.customer,ab_company,ab_lastname,ab_firstname "
                  . "FROM phpgw_inv_orders,addressbook "
                  . "WHERE phpgw_inv_orders.num='$order_id' AND phpgw_inv_orders.customer=ab_id");
  if($phpgw->db->next_record()) {
    $t->set_var("descr",$phpgw->db->f("descr"));
    if (!$phpgw->db->f("ab_company")) {    
     $t->set_var("customer",$phpgw->db->f("ab_firstname")." ".$phpgw->db->f("ab_lastname"));
           }
    else {
    $t->set_var("customer",$phpgw->db->f("ab_company")." [ ".
		$phpgw->db->f("ab_firstname")." ".$phpgw->db->f("ab_lastname")." ]");
      }
    } 
    else {
    $t->set_var("descr",lang("no customer selected"));
    $t->set_var(customer,lang("no customer selected"));
      }
     }
    $t->set_var(title_descr,lang("Description"));                                                                                                                                                               
    $t->set_var(title_customer,lang("Customer"));  
    $t->set_var(title_invoice_num,lang("Invoice ID"));
  
  if(!$invoice_num) {
    $phpgw->db->query("SELECT max(num) AS max FROM phpgw_inv_invoice");
    $t->set_var(title_invoice_num,lang("Invoice ID"));
    if($phpgw->db->next_record()) {
      $t->set_var(invoice_num,(int)($phpgw->db->f("max"))+1);
    } else {
      $t->set_var(invoice_num,"1");
    }
  } else {
      $t->set_var(invoice_num,$invoice_num);
   }
  
     $sum_price = 0;
     $sum_piece = 0;
     $sum_retail = 0;
     $pos = 0;
     if(!$invoice_id) {
     $date=0;
     $phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.piece,phpgw_inv_orderpos.tax FROM phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON "
                  . "phpgw_inv_products.id=phpgw_inv_orderpos.product_id WHERE phpgw_inv_orderpos.order_id='$order_id'");
     } else {
    $phpgw->db->query("SELECT date FROM phpgw_inv_invoice WHERE id=$invoice_id");
    $phpgw->db->next_record();
    $date=$phpgw->db->f("date");    
    $phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.piece,phpgw_inv_orderpos.tax from phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON "
                  . "phpgw_inv_products.id=phpgw_inv_orderpos.product_id WHERE phpgw_inv_orderpos.order_id='$order_id'");
      }

    if ($date != 0) {                                                                                                                                                                                 
                                                                                                                                                                                                      
    $month = $phpgw->common->show_date($date,"n");                                                                                                                                                    
    $day   = $phpgw->common->show_date($date,"d");                                                                                                                                                    
    $year  = $phpgw->common->show_date($date,"Y");                                                                                                                                                    
    }     
    else {
    $month = $phpgw->common->show_date(time(),"n");             
    $day   = $phpgw->common->show_date(time(),"d");      
    $year  = $phpgw->common->show_date(time(),"Y");
        }                                                                                                                                                                                                 
    $date = (60*60) * $phpgw_info["user"]["preferences"]["common"]["tz_offset"];                                                                                                                      
                                                                                                                                                                                                      
    $dateout =  $phpgw->common->show_date($phpgw->db->f("date"),$phpgw_info["user"]["preferences"]["common"]["dateformat"]);                                                                          
                                                                                                                                                                                                      
    $t->set_var("lang_invoice_date",lang("Invoice date"));                                                                                                                                          
    $t->set_var("date",$dateout);

    while ($phpgw->db->next_record()) {
    $pos++;
    
    $tr_color = $phpgw->nextmatchs->alternate_row_color($tr_color);
    $t->set_var("tr_color",$tr_color);    
    $t->set_var("pos",$pos);

    $id = $phpgw->db->f("id"); 
    $tax = $phpgw->db->f("tax");   
    $taxpercent = ($tax/100);
    
    $price = $phpgw->db->f("price");
    $piece = $phpgw->db->f("piece");
    $sum_piece = ($price*$piece);
    $retail = round(($phpgw->db->f("price"))*(1+$taxpercent),2);
//    $retail = $phpgw->db->f("retail");                                                                                                                                                  
    $sum_retail = ($retail*($phpgw->db->f("piece")));
    
    $des  = $phpgw->strip_html($phpgw->db->f("des"));                                                                                                                                               
    if (! $des)  $des  = "&nbsp;";                                                                                                                                                            
                                                                                                                                                                                              
    $name = $phpgw->strip_html($phpgw->db->f("name"));                                                                                                                                              
    if (! $name) $name = "&nbsp;";
    
    $sum_price += ((float)$sum_piece);                                                                                                                                                      
    $sum_sum += ((float)$sum_retail);


// ---------------------- template declaration for list records ----------------

    $t->set_var(array("pos" => $pos,
                      "id" => $id,
                      "tax" => $tax,
                      "piece" => $piece,
                      "sum_piece" => sprintf("%1.2f",$sum_piece),
                      "price" => sprintf("%1.2f",$price),
                      "sum_retail" => sprintf("%1.2f",$sum_retail),
                      "name" => $name,
    		      "des" => $des));
    $t->parse("list", "product_list", true);

// ------------------------ end record declaration ------------------------
  }

    $t->set_var(title_net,lang("net"));
    $t->set_var(title_sum,lang("Sum"));

    $t->set_var(sum_price,sprintf("%01.2f",$sum_price));
    $t->set_var(sum_sum,sprintf("%01.2f",$sum_sum));

    $t->parse("out", "product_list_t", true);
    $t->p("out");
    $phpgw->common->phpgw_footer();
?>
