<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * (http://www.phpgroupware.org)                                            *
  * Written by Bettina Gille  [aeb@hansenet.de]                              *
  * --------------------------------------------------------                 *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
/* $Id: invoice_print.php,v 1.10 2001/01/22 02:56:26 bettina Exp $ */
  
  $phpgw_info["flags"] = array("currentapp" => "inv",
                               "noheader" => True, 
                               "nonavbar" => True);         
  include("../header.inc.php");

  $t = new Template($phpgw_info["server"]["app_tpl"]);
  $t->set_file(array( "invoice_print_t" => "invoice_print.tpl",
                      "invoice_print"   => "invoice_print.tpl"));
  $t->set_block("invoice_print_t", "invoice_print", "print");

  
  if (isset($phpgw_info["user"]["preferences"]["inv"]["address"]) && (isset($phpgw_info["user"]["preferences"]["common"]["currency"]))) {
     $currency = $phpgw_info["user"]["preferences"]["common"]["currency"];
     $t->set_var("error","");     
     if ($phpgw_info["apps"]["timetrack"]["enabled"]) {                                                                                                                        
     $phpgw->db->query("SELECT ab_firstname,ab_lastname,ab_street,ab_zip,ab_city,ab_state,ab_company_id,company_name FROM "                                                    
                     . "addressbook,customers where "                                                                                                                          
                     . "ab_company_id='" .$phpgw_info["user"]["preferences"]["inv"]["address"]."' and "
                     . "customers.company_id=addressbook.ab_company_id");                                                                      
        }
      else {                                                                                                                                                                   
    $phpgw->db->query("select ab_id,ab_lastname,ab_firstname,ab_street,ab_zip,ab_city,ab_state,ab_company from addressbook where "                                             
                        . "ab_id='" .$phpgw_info["user"]["preferences"]["inv"]["address"]."'");                                                                           
              } 
     if ($phpgw->db->next_record()) {                                                                                                                                         
     if ($phpgw_info["apps"]["timetrack"]["enabled"])     
      $t->set_var("ad_company",$phpgw->db->f("company_name")); 
      else
      $t->set_var("ad_company",$phpgw->db->f("ab_company"));                                                                                                                   

      $t->set_var("ad_firstname",$phpgw->db->f("ab_firstname"));                                                                                                               
      $t->set_var("ad_lastname",$phpgw->db->f("ab_lastname"));                                                                                                                 
      $t->set_var("ad_street",$phpgw->db->f("ab_street"));                                                                                                                     
      $t->set_var("ad_zip",$phpgw->db->f("ab_zip"));                                                                                                                           
      $t->set_var("ad_city",$phpgw->db->f("ab_city"));                                                                                                                         
      $t->set_var("ad_state",$phpgw->db->f("ab_state"));                                                                                                                       
            }                                                                                                                                                                    
    }
   else                                                                                                                                                                      
    $t->set_var("error",lang("Please select currency and your address in preferences !"));                                                                                   
   
   $t->set_var("site_title",$phpgw_info["site_descr"]);   
   $charset = $phpgw->translation->translate("charset");                                                                                                                                         
   $t->set_var("charset",$charset);   
   $t->set_var("font",$phpgw_info["theme"]["font"]);   
   $t->set_var("to","");        
   $t->set_var(lang_invoice,lang("Invoice ID"));      
   $t->set_var(lang_order_descr,lang("Order"));      
   $t->set_var(lang_pos,lang("Pos."));       
   $t->set_var(lang_date,lang("Date"));      
   $t->set_var(lang_order_descr,lang("Description"));
   $t->set_var(lang_piece,lang("Piece"));
   $t->set_var(lang_price,lang("a piece"));
   $t->set_var(lang_sum_piece,lang("Sum net"));
   $t->set_var(lang_tax,lang("tax"));
   $t->set_var(lang_product_id,lang("Product ID"));
   $t->set_var(lang_product_name,lang("Name"));
   $t->set_var(lang_product_descr,lang("Description"));
   $t->set_var(lang_sum,lang("Sum"));
   $t->set_var(lang_net,lang("net"));
   $t->set_var(currency,$currency);
  


if (!$invoice_id) {
   if ($phpgw_info["apps"]["timetrack"]["enabled"]) {
   $phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_invoice.num,phpgw_inv_invoice.order_id,phpgw_inv_invoice.date, "
                 . "ab_company_id,company_name,ab_firstname,ab_lastname,ab_street,ab_zip, "
                 . "ab_city,ab_state FROM addressbook,customers,phpgw_inv_invoice,phpgw_inv_orders WHERE "
                 . "phpgw_inv_invoice.order_id='$order_id' AND phpgw_inv_orders.num='$order_id' AND "
                 . "phpgw_inv_orders.customer=ab_company_id AND customers.company_id=addressbook.ab_company_id");
    }
   else {    
   $phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_invoice.num,phpgw_inv_invoice.order_id,phpgw_inv_invoice.date, "
                 . "ab_id,ab_company,ab_firstname,ab_lastname,ab_street,ab_zip, "
                 . "ab_city,ab_state FROM addressbook,phpgw_inv_invoice,phpgw_inv_orders WHERE "
                 . "phpgw_inv_invoice.order_id='$order_id' AND phpgw_inv_orders.customer=ab_id AND phpgw_inv_orders.num='$order_id'");
        }
   if ($phpgw->db->next_record()) {
     if ($phpgw_info["apps"]["timetrack"]["enabled"])
   $t->set_var("company",$phpgw->db->f("company_name"));
    else
   $t->set_var("company",$phpgw->db->f("ab_company"));                                                                                                                                           

   $t->set_var("firstname",$phpgw->db->f("ab_firstname"));                                                                                                                                       
   $t->set_var("lastname",$phpgw->db->f("ab_lastname"));                                                                                                                                         
   $t->set_var("street",$phpgw->db->f("ab_street"));                                                                                                                                             
   $t->set_var("zip",$phpgw->db->f("ab_zip"));                                                                                                                                                   
   $t->set_var("city",$phpgw->db->f("ab_city"));
   $t->set_var("state",$phpgw->db->f("ab_state"));
   $t->set_var("invoice_day",date("j",$phpgw->db->f("date")));                                                                                                                                  
   $t->set_var("invoice_month",date("n",$phpgw->db->f("date")));                                                                                                                                
   $t->set_var("invoice_year",date("Y",$phpgw->db->f("date")));                                                                                                                                 
   $t->set_var("invoice_num",$phpgw->strip_html($phpgw->db->f("num")));
   $order_descr = $phpgw->strip_html($phpgw->db->f("descr"));                                                                                                                                      
   if (!$order_descr) $order_descr = "&nbsp;";                                                                                                                                                     
   $t->set_var("order_descr",$order_descr);
      }
     }                                                                                                                                                                                                 
  else {
   if ($phpgw_info["apps"]["timetrack"]["enabled"]) {                                                                                                                                                 
   $phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_invoice.id,phpgw_inv_invoice.num, "
                 . "phpgw_inv_invoice.order_id,phpgw_inv_invoice.date, "                                                         
                 . "ab_company_id,company_name,ab_firstname,ab_lastname,ab_street,ab_zip, "                                                                                                           
                 . "ab_city,ab_state FROM addressbook,customers,phpgw_inv_invoice,phpgw_inv_orders WHERE "                                                                                                                
                 . "phpgw_inv_invoice.id='$invoice_id' AND phpgw_inv_invoice.order_id=phpgw_inv_orders.num AND "                                                                                                     
                 . "phpgw_inv_orders.customer=ab_company_id AND customers.company_id=addressbook.ab_company_id");                                                                                           
    }                                                                                                                                                                                                 
   else {                                                                                                                                                                                             
   $phpgw->db->query("SELECT phpgw_inv_orders.customer,phpgw_inv_orders.descr,phpgw_inv_invoice.id,phpgw_inv_invoice.num, "
                 . "phpgw_inv_invoice.order_id,phpgw_inv_invoice.date, "                                                         
                 . "ab_id,ab_company,ab_firstname,ab_lastname,ab_street,ab_zip, "                                                                                                                     
                 . "ab_city,ab_state FROM addressbook,phpgw_inv_invoice,phpgw_inv_orders WHERE "                                                                                                                         
                 . "phpgw_inv_invoice.id='$invoice_id' AND phpgw_inv_orders.customer=ab_id AND phpgw_inv_invoice.order_id=phpgw_inv_orders.num");                                                                          
               }
   if ($phpgw->db->next_record()) {                                                                                                                                                                   
     if ($phpgw_info["apps"]["timetrack"]["enabled"])
   $t->set_var("company",$phpgw->db->f("company_name"));
   else
   $t->set_var("company",$phpgw->db->f("ab_company"));   

   $t->set_var("firstname",$phpgw->db->f("ab_firstname"));            
   $t->set_var("lastname",$phpgw->db->f("ab_lastname"));
   $t->set_var("street",$phpgw->db->f("ab_street"));  
   $t->set_var("zip",$phpgw->db->f("ab_zip"));                                                                                                                                                        
   $t->set_var("city",$phpgw->db->f("ab_city")); 
   $t->set_var("state",$phpgw->db->f("ab_state"));                                                                                                                                                      
   $t->set_var("invoice_day",date("j",$phpgw->db->f("date")));                                                                                                                                       
   $t->set_var("invoice_month",date("n",$phpgw->db->f("date")));                                                                                                                                     
   $t->set_var("invoice_year",date("Y",$phpgw->db->f("date")));   
   $t->set_var("invoice_num",$phpgw->strip_html($phpgw->db->f("num")));                                                                                                                              
   $order_descr = $phpgw->strip_html($phpgw->db->f("descr"));                                                                                                                                         
   if (!$order_descr) $order_descr = "&nbsp;";                                                                                                                                                        
   $t->set_var("order_descr",$order_descr);                                                                                                                                                           
     }                  
   }          

   $pos = 0;
   $sum_netto = 0;                                                                                                                                                                         
   $sum_retail = 0;
   $sum_piece = 0;
if (!$invoice_id) {
   $phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.piece,phpgw_inv_orderpos.tax "                                                                                                        
                . "FROM phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON phpgw_inv_products.id=phpgw_inv_orderpos.product_id "                                                                                          
                . "WHERE phpgw_inv_orderpos.order_id='$order_id'");
           }
  else {
  $phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.order_id,phpgw_inv_orderpos.piece,phpgw_inv_orderpos.tax "
                  . "FROM phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON "                                                                 
                  . "phpgw_inv_products.id=phpgw_inv_orderpos.product_id LEFT JOIN phpgw_inv_invoicepos ON "                                                                                                       
                  . "phpgw_inv_invoicepos.product_id=phpgw_inv_products.id LEFT JOIN phpgw_inv_invoice ON "
                  . "phpgw_inv_invoice.order_id=phpgw_inv_orderpos.order_id "                                                           
                  . "WHERE phpgw_inv_invoice.id='$invoice_id' AND phpgw_inv_invoicepos.invoice_id='$invoice_id'");                                                                                       
                  }

   while ($phpgw->db->next_record()) {
	$pos++;
	$t->set_var("pos",$pos);
	
        $t->set_var("piece",$phpgw->db->f("piece"));
	$t->set_var("id",$phpgw->db->f("id"));
	$t->set_var("price",$phpgw->db->f("price"));
        $sum_piece = (float)($phpgw->db->f("price"))*($phpgw->db->f("piece"));
        $t->set_var(sum_piece,sprintf("%1.2f",$sum_piece));
        $t->set_var("tax",$phpgw->db->f("tax"));
	$retail = $phpgw->db->f("retail");
        $sum_retail = (float)($retail*($phpgw->db->f("piece")));
        $t->set_var(sum_retail,sprintf("%1.2f",$sum_retail));
        $t->set_var("name",$phpgw->db->f("name"));
	if($phpgw->db->f("des")) {
		$t->set_var("pro_descr",$phpgw->db->f("des"));
	        } else {                    
                $t->set_var("pro_descr","");
                }
   
    $sum_price += ((float)$sum_piece);                                                                                                                                                      
    $sum_sum += ((float)$sum_retail);   
    $t->set_var(sum_price,sprintf("%01.2f",$sum_price));                                                                                                                                    
    $t->set_var(sum_sum,sprintf("%01.2f",$sum_sum));                                                                                                                                

    $t->parse("print", "invoice_print", true);

   } 

   $t->parse("out", "invoice_print_t", true);
   $t->p("out");
   
   ?>