<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * This file written by Bettina Gille [aeb@hansenet.de]                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: listorders.php,v 1.10 2001/01/09 11:19:12 bettina Exp $ */
  
  $phpgw_info["flags"] = array("currentapp" => "inv",
                   "enable_nextmatchs_class" => True);

  include("../header.inc.php");
  
  $db2 = $phpgw->db;
  
  $t = new Template($phpgw_info["server"]["app_tpl"]);                                                                                                             
  
  $t->set_file(array("order_list_t" => "listorders.tpl",                                                                                                                
                     "order_list"   => "listorders.tpl"));
  $t->set_block("order_list_t","order_list","list"); 

  if ($order) {
     $ordermethod = "order by $order $sort";
  } else {
     $ordermethod = "order by num asc";
  }
  
  $t->set_var(lang_action,lang("Order list"));
  $t->set_var("add_action",$phpgw->link("addorder.php"));                                                                                                                                    
  $t->set_var("lang_add",lang("Add"));  


  // -------------- header declaration ----------------- 

  $t->set_var(th_bg,$phpgw_info["theme"][th_bg]);                                                                                                            
  $t->set_var(sort_num,$phpgw->nextmatchs->show_sort_order($sort,"num",$order,"listorders.php",lang("Order ID")));   
  $t->set_var(sort_descr,$phpgw->nextmatchs->show_sort_order($sort,"descr",$order,"listorders.php",lang("Description")));   
  $t->set_var(sort_date,$phpgw->nextmatchs->show_sort_order($sort,"date",$order,"listorders.php",lang("Date")));                                                     
  $t->set_var(sort_customer,$phpgw->nextmatchs->show_sort_order($sort,"customer",$order,"listorders.php",lang("Customer")));                                      
  $t->set_var(h_lang_products,lang("Products"));
  $t->set_var(h_lang_delivery,lang("Delivery"));
  $t->set_var(h_lang_invoice,lang("Invoice"));
  $t->set_var(h_lang_edit,lang("Edit"));
  $t->set_var(h_lang_delete,lang("Delete"));
  
  // -------------- end header declaration -----------------

  $phpgw->db->query("select * from phpgw_inv_orders $ordermethod");                                                                                               
  
  while ($phpgw->db->next_record()) { 
    $tr_color = $phpgw->nextmatchs->alternate_row_color($tr_color);
    $t->set_var(tr_color,$tr_color);
    $num = $phpgw->strip_html($phpgw->db->f("num"));
    
    $date = $phpgw->db->f("date");                                                                                                                                                           
    $month = $phpgw->common->show_date(time(),"n");                                                                                                                                             
    $day   = $phpgw->common->show_date(time(),"d");                                                                                                                                             
    $year  = $phpgw->common->show_date(time(),"Y");                                                                                                                                             
                                                                                                                                                                                                  
    $date = (60*60) * $phpgw_info["user"]["preferences"]["common"]["tz_offset"];                                                                                                            
                                                                                                                                                                                                  
    $dateout =  $phpgw->common->show_date($phpgw->db->f("date"),$phpgw_info["user"]["preferences"]["common"]["dateformat"]);                                                          

   $descr = $phpgw->strip_html($phpgw->db->f("descr"));                                                                                                                                                   
    if (!$descr) $descr = "&nbsp;";    

    if ($phpgw_info["apps"]["timetrack"]["enabled"]) {                                                                                                                                          
    $db2->query("select ab_id,ab_lastname,ab_firstname,ab_company_id,company_name from "                                                                                                        
                        . "addressbook,customers where customers.company_id=addressbook.ab_company_id and "                                                                                     
                        . "addressbook.ab_company_id='" .$phpgw->db->f("customer")."'");                                                                                                        
      if ($db2->next_record()) {                                                                                                                                                                
        $customerout = $db2->f("company_name")." [".$db2->f("ab_firstname"). " " .$db2->f("ab_lastname")."]";                                                                                   
        }                                                                                                                                                                                       
        else {                                                                                                                                                                                  
        $customerout = $t->set_var("customer","");                                                                                                                                              
             }                                                                                                                                                                                  
          }                                                                                                                                                                                     
        else {                                                                                                                                                                                  
    $db2->query("select ab_id,ab_lastname,ab_firstname,ab_company from addressbook where "                                                                                                      
                        . "ab_id='" .$phpgw->db->f("customer")."'");                                                                                                                            
                                                                                                                                                                                                
    if ($db2->next_record()) {                                                                                                                                                                  
    if (!$db2->f("ab_company")) {      
    $customerout = $db2->f("ab_firstname"). " " .$db2->f("ab_lastname"); 
     }
    else {
    $customerout = $db2->f("ab_company")." [ ".$db2->f("ab_firstname"). " " .$db2->f("ab_lastname")." ]";                  
      }          
    }
    else {                                                                                                                                                                                      
    $customerout = $t->set_var("customer","");                                                                                                                                                  
      }                                                                                                                                                                                           
     }
   
//--------- template declaration for list records--------------------                                                                                                                
                                                                                                                                                            
    $t->set_var(array("num" => $num,                                                                                                                        
                      "date"   => $dateout,
                      "descr"  => $descr,
                      "customer" => $customerout));                                                                                                                
    
    $t->set_var("products",'<a href="' . $phpgw->link("orderproducts.php","order_id="                                                                       
                                 . $phpgw->db->f("num")) . '">Products</a>'); 
    
    $t->set_var("delivery",'<a href="' . $phpgw->link("delivery.php","order_id="                                                                       
                                 . $phpgw->db->f("num")) . '">Delivery</a>'); 
    
    $t->set_var("invoice",'<a href="' . $phpgw->link("invoice.php","order_id="                                                                       
                                 . $phpgw->db->f("num")) . '">Invoice</a>');    
    
    $t->set_var("edit",'<a href="' . $phpgw->link("editorder.php","id="                                                                       
                                 . $phpgw->db->f("id")) . '">Edit</a>');   
    
    $t->set_var("delete",'<a href="' . $phpgw->link("deleteorder.php","order_id="                                                                       
                                 . $phpgw->db->f("num")) . '">Delete</a>');     
          
    $t->parse("list", "order_list", true);                                                                                                                   
  }                                                                                                                                                          
   
     // -------------- end record declaration ------------------------

       $t->parse("out", "order_list_t", true);                                                                                                           
       $t->p("out");


  $phpgw->common->phpgw_footer();
 ?>
