<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * This file written by Joseph Engo <jengo@phpgroupware.org>                *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: listproducts.php,v 1.33 2001/01/15 05:31:16 bettina Exp $ */
  
  $phpgw_info["flags"] = array("currentapp" => "inv",
                               "enable_nextmatchs_class" => True);

  include("../header.inc.php");

  $phpgw->template->set_file(array("search" => "list_search.tpl",
                                   "header" => "listproducts_full.tpl",    
                                   "row"    => "listproducts_full.tpl",
                                   "footer" => "listproducts_full.tpl"));

  $phpgw->template->set_block("header","row","footer","empty_row");

   if (isset($phpgw_info["user"]["preferences"]["common"]["currency"])) {                                                                                                                              
   $currency = $phpgw_info["user"]["preferences"]["common"]["currency"];                                                                                                                               
   $phpgw->template->set_var("error","");                                                                                                                                                          
   }                                                                                                                                                                                               
   else {                                                                                                                                                                                          
   $phpgw->template->set_var("error",lang("Please select your currency in preferences!"));                                                                                                                           
   }
  
  $phpgw->template->set_var(lang_action,lang("Product list"));
  $phpgw->template->set_var("filter_action",$phpgw->link("listproducts.php"));
  $phpgw->template->set_var("search_action",$phpgw->link("listproducts.php"));
  $phpgw->template->set_var("add_action",$phpgw->link("addproduct.php","category_id=$filter"));
  $phpgw->template->set_var("lang_select_category","Select category");

  $category_select[$filter] = " selected";

  $phpgw->template->set_var("category_list",select_category_list($filter));

  $phpgw->template->set_var("lang_submit",lang("Submit"));

  $phpgw->template->set_var("th_bg",$phpgw_info["theme"][th_bg]);
  $phpgw->template->set_var("sort_id",$phpgw->nextmatchs->show_sort_order($sort,"id",$order,"listproducts.php",lang("Product ID")));
  $phpgw->template->set_var("sort_name",$phpgw->nextmatchs->show_sort_order($sort,"name",$order,"listproducts.php",lang("Name")));
  $phpgw->template->set_var("sort_des",$phpgw->nextmatchs->show_sort_order($sort,"des",$order,"listproducts.php",lang("Description")));
  $phpgw->template->set_var("sort_status",$phpgw->nextmatchs->show_sort_order($sort,"status",$order,"listproducts.php",lang("Status")));
  $phpgw->template->set_var("sort_cost",$phpgw->nextmatchs->show_sort_order($sort,"cost",$order,"listproducts.php",lang("Cost")));
  $phpgw->template->set_var("sort_price",$phpgw->nextmatchs->show_sort_order($sort,"price",$order,"listproducts.php",lang("Price")));
  $phpgw->template->set_var("sort_retail",$phpgw->nextmatchs->show_sort_order($sort,"retail",$order,"listproducts.php",lang("Retail")));
  $phpgw->template->set_var("sort_stock",$phpgw->nextmatchs->show_sort_order($sort,"stock",$order,"listproducts.php",lang("Stock")));
  $phpgw->template->set_var("sort_url",$phpgw->nextmatchs->show_sort_order($sort,"url",$order,"listproducts.php",lang("URL")));
  $phpgw->template->set_var("lang_edit",lang("Edit"));
  $phpgw->template->set_var("lang_delete",lang("Delete"));
  $phpgw->template->set_var("currency",$currency);
  
  $phpgw->template->set_var("lang_search",lang("Search this category"));
  $phpgw->template->set_var("lang_add",lang("Add"));

  $phpgw->template->parse("out","header");
  $phpgw->template->pparse("out","search");

 if ($order) {
    $ordermethod = "$order $sort";
 } else {
    $ordermethod = "id asc";
 }

 if (! $filter) {
  $phpgw->db->query("select category from phpgw_inv_products where name like '%$query%' or des like '%$query%'");    
  $phpgw->db->next_record();  
  $filter = $phpgw->db->f("category");
  }
 
  if ($query) {
    $querymethod = "or name like '%$query%' or des like '%$query%'";
   }

 $phpgw->db->query("select count(*) from phpgw_inv_products where category='$filter' $querymethod");

 $phpgw->db->next_record();
 
 if ($phpgw->db->f(0) == 0) {
    if ($query) {
       $phpgw->template->set_var("search_message","Your search has returned no matchs");
    } else {
       $phpgw->template->set_var("search_message","");
    }
    $undefined = $phpgw->template->get_undefined("row");
    while ($undef = each($undefined)) {
      $phpgw->template->set_var($undef[0],"");
    }
    $phpgw->template->set_var("output","");
    $phpgw->template->pparse("out","footer");
    $phpgw->common->phpgw_footer(); 
    $phpgw->common->phpgw_exit();
 }
 if ($query) {
    $phpgw->template->set_var("search_message","Your search has returned " . $phpgw->db->f(0) . " matchs");
 } else {
    $phpgw->template->set_var("search_message","");
 }

   
  $taxpercent = select_tax($filter);
 
  $phpgw->db->query("select * from phpgw_inv_products where category='$filter' $querymethod order by $ordermethod");

  while ($phpgw->db->next_record()) {
    $phpgw->templater_color = $phpgw->nextmatchs->alternate_row_color($phpgw->templater_color);
    $phpgw->template->set_var("tr_color",$phpgw->templater_color);
    $des  = $phpgw->strip_html($phpgw->db->f("des"));
    $url  = $phpgw->strip_html($phpgw->db->f("url"));
    $name = $phpgw->strip_html($phpgw->db->f("name"));

    if ($url) $url = '<a href="' . $url . '" target="_new">Click me</a>';

    if (! $des)  $des  = "&nbsp;";
    if (! $url)  $url  = "&nbsp;";
    if (! $name) $name = "&nbsp;";

    $phpgw->template->set_var("row_id",$phpgw->db->f("id"));
    $phpgw->template->set_var("row_name",$name);
    $phpgw->template->set_var("row_des",$des);
    $phpgw->template->set_var("row_status",$status_list[$phpgw->db->f("status")]);
    $phpgw->template->set_var("row_cost",$phpgw->db->f("cost"));
    $phpgw->template->set_var("row_price",$phpgw->db->f("price"));
    $retail = round(($phpgw->db->f("price"))*(1+$taxpercent),2);                                                                                                                                      
    $phpgw->template->set_var("row_retail",sprintf("%01.2f",$retail));    
//    $phpgw->template->set_var("row_retail",$phpgw->db->f("retail"));

    if ($phpgw->db->f("mstock") == $phpgw->db->f("stock")) {
       $phpgw->template->set_var("row_stock","<b>" . $phpgw->db->f("stock") . "</b>"); 
    }
    if ($phpgw->db->f("mstock") < $phpgw->db->f("stock")) {
       $phpgw->template->set_var("row_stock",$phpgw->db->f("stock")); 
    }
    if ($phpgw->db->f("mstock") > $phpgw->db->f("stock")) {
       $phpgw->template->set_var("row_stock","<font color=FF0000>" . $phpgw->db->f("stock") . "</font>"); 
    }


    $phpgw->template->set_var("row_url",$url);
    $phpgw->template->set_var("row_edit",'<a href="' . $phpgw->link("editproduct.php","con="
                                 . $phpgw->db->f("con")) . '">Edit</a>');
    
    $phpgw->template->set_var("row_delete",'<a href="' . $phpgw->link("deleteproduct.php","con="
                                 . $phpgw->db->f("con")) . '">Delete</a>');

    if ($phpgw->db->num_rows() == 1) {
       $phpgw->template->set_var("output","");
    }
    if ($phpgw->db->num_rows() != ++$i) {
       $phpgw->template->parse("output","row",True);
    }
   }

  $phpgw->template->pparse("out","footer");

  $phpgw->common->phpgw_footer();
?>
