<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * This file written by Joseph Engo <jengo@phpgroupware.org>                *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /* $Id: liststatus.php,v 1.12 2001/01/09 11:19:12 bettina Exp $ */
  
  $phpgw_info["flags"] = array("currentapp" => "inv",
                  "enable_nextmatchs_class" => True);

  include("../header.inc.php");
  
  if ($order) {
     $ordermethod = "order by $order $sort";
  } else {
     $ordermethod = "order by status_name asc";
  }

  echo "<p><p><b>" . lang("Product status list") . "</b><hr>";
  if ($lm == "statusupdated") {
     echo "<center>" . lang("Product status has been updated") . "</center>";
  }
  echo "<p>";
  echo '<table border="0" align="center" width="35%">';
  echo '<tr bgcolor="' . $phpgw_info["theme"]["th_bg"] . '">';
  echo '<td>' . $phpgw->nextmatchs->show_sort_order($sort,"status_name",$order,"liststatus.php","Name") . '</td>';
  echo '<td>' . lang("Edit") . '</td>';
  echo '<td>' . lang("Delete") . '</td></tr>';
    
  $phpgw->db->query("select * from phpgw_inv_statuslist $ordermethod");
  while ($phpgw->db->next_record()) {
    $tr_color = $phpgw->nextmatchs->alternate_row_color($tr_color);
    echo '<tr bgcolor="' . $tr_color . '">';
    echo "<td>" . $phpgw->strip_html($phpgw->db->f("status_name")) . "</td>";
    echo '<td width="7%" align="center"><a href="' . $phpgw->link("editstatus.php","status_id=" . $phpgw->db->f("status_id")) . '"> ' . lang("Edit") . ' </a></td>';
    echo '<td width="7%" align="center"><a href="' . $phpgw->link("deletestatus.php","status_id=" . $phpgw->db->f("status_id")) . '"> ' . lang("Delete") . ' </a></td></tr>';
  }
  
  echo '<tr><td colspan="2"><form method="POST" action="' . $phpgw->link("addstatus.php") . '">'
  	. '<input type="submit" value="' . lang("Add") . '"></form>';
  echo "</table>";

  $phpgw->common->phpgw_footer();
?>
