<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * written by Joseph Engo <jengo@phpgroupware.org>                          *
  *            Bettina Gille [aeb@hansenet.de]                               *
  * -----------------------------------------------                          *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
/* $Id: addcategory.php,v 1.16 2001/01/09 11:19:12 bettina Exp $ */
  
  $phpgw_info["flags"]["currentapp"] = "inv";
  include("../header.inc.php");
  
  $t = new Template($phpgw_info["server"]["app_tpl"]);
  $t->set_file(array("form" => "category_form.tpl"));
  $t->set_block("form", "add", "addhandle");                                                                                                                                  
  $t->set_block("form", "edit", "edithandle");                                                                                                                                
  
  if ($submit) {
     $errorcount = 0;
     $phpgw->db->query("select count(*) from phpgw_inv_categorys where number='$id'");
     $phpgw->db->next_record();

     if ($phpgw->db->f(0) != 0) {
        $error[$errorcount++] = lang("That category ID has been used already!") . ".";
     }

     $phpgw->db->query("select count(*) from phpgw_inv_categorys where name='$name'");
     $phpgw->db->next_record();

     if ($phpgw->db->f(0) != 0) {
        $error[$errorcount++] = lang("That category name has been used already!") . ".";
     }
     
     if (! $error) {
        if ($main_cat) {
        $phpgw->db->query("select level from phpgw_inv_categorys where number='$par_cat'"); 
        $phpgw->db->next_record();
        $par_level = $phpgw->db->f("level");
        $level = ($par_level)+1;
        $name = addslashes($name);
        $phpgw->db->query("insert into phpgw_inv_categorys (level,par_cat,main_cat,number,name,tax) values ('$level','$par_cat','$main_cat','$id','$name','$tax')");
           }
         else {
        $name = addslashes($name);                                                                                                                                                         
        $phpgw->db->query("insert into phpgw_inv_categorys (level,par_cat,main_cat,number,name,tax) values ('$level','$par_cat','$id','$id','$name','$tax')");        
           }
          }
         }
   if ($errorcount) {
     $t->set_var("message",$phpgw->common->error_list($error));
      } else {
     $t->set_var("message","");
      }
  
  if (($submit) && (! $error) && (! $errorcount)) {
      if ((!$main_cat) && (!$par_cat))
      $t->set_var("message","Main category: $name, ID: $id has been added !");          
      else
      $t->set_var("message","Category: $name, ID: $id, Parent category: $par_cat, Main category: $main_cat has been added !");
       }
     else
        $t->set_var("message","");
    
  
  $t->set_var("lang_action",lang("Add new category"));
  $t->set_var("actionurl",$phpgw->link("addcategory.php"));
  $t->set_var("hidden_vars",'<input type="hidden" name="con" value="' . $con . '">');  

  $t->set_var("lang_main_cat",lang("Main category"));
  $t->set_var("lang_new_main_cat",lang("New main category"));
  
  $phpgw->db->query("SELECT * FROM phpgw_inv_categorys where level=0");                                                                                   
  while ($phpgw->db->next_record()) {                                                                                                                                                      
  $main_cat_list .= "<option value=\"" . $phpgw->db->f("number") . "\""                                                                                                                           
                   . $selected_categories[$phpgw->db->f("number")] . ">"                                                                                                                        
                   . $phpgw->db->f("name") . "</option>";                                                                                                                         
  }                                                                                                                                                                                        
  $t->set_var("main_cat_list",$main_cat_list);

  $t->set_var("lang_par_cat",lang("Parent category"));                                                                                                                                                
  $t->set_var("lang_choose",lang("Choose the parent category"));                                                                                                                                                                                                     
  
  $phpgw->db->query("SELECT * FROM phpgw_inv_categorys");                                                                                                                                
  while ($phpgw->db->next_record()) {                                                                                                                                                                
  $par_cat_list .= "<option value=\"" . $phpgw->db->f("number") . "\""                                                                                                                            
                    . $selected_categories[$phpgw->db->f("number")] . ">"                                                                                                                            
                    . $phpgw->db->f("name") . "</option>";                                                                                                                                          
  }                                                                                                                                                                                                  
  $t->set_var("par_cat_list",$par_cat_list);

  $t->set_var("lang_name",lang("Category name"));
  $t->set_var("lang_id",lang("Category ID"));
  $t->set_var("lang_tax",lang("Category tax"));
  $t->set_var("name_value",$name);
  $t->set_var("id_value",$id);
  $t->set_var("tax_value",$tax);
          
  $t->set_var("lang_addbutton",lang("Add")); 
  $t->set_var("lang_reset",lang("Clear Form")); 
  $t->set_var("edithandle","");                                                                                                                                                       
  $t->set_var("addhandle","");                                                                                                                                                        
  $t->set_var("acthandle","");                                                                                                                                                                                                   
  
  $t->pparse("out","form");                                                                                                                                                          
  $t->pparse("addhandle","add");
  
$phpgw->common->phpgw_footer();
?>