<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * This file written by Joseph Engo <jengo@phpgroupware.org>                *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
/* $Id: addproduct.php,v 1.31 2001/01/09 11:19:12 bettina Exp $ */
  
  $phpgw_info["flags"]["currentapp"] = "inv";
  include("../header.inc.php");
  
  $phpgw->template->set_file(array("form" => "product_form.tpl"));
  $phpgw->template->set_block("form", "add", "addhandle");                                                                                                                                    
  $phpgw->template->set_block("form", "edit", "edithandle");                                                                                                                                  
  $phpgw->template->set_block("form", "edit_act", "acthandle");
  
  if ($submit) {
     $name = addslashes($name);
     $des  = addslashes($des);
     $url  = addslashes($url);

     $id = create_productid($category);
     
     $phpgw->db->query("select tax from phpgw_inv_categorys where number like ('$category')");                                                                         
     $phpgw->db->next_record();                                                                                                                                
     $tax = $phpgw->db->f("tax");                                                                                                                              
     $taxpercent = ($tax/100);     
     $retail = round($price*(1+$taxpercent),2);
     
     $phpgw->db->query("insert into phpgw_inv_products (id,name,des,category,status,cost,price,"
			      . "retail,stock,mstock,url,dist) values ('$id','$name','$des','$category','$status','"
			      . "$cost','$price','$retail','$stock','$mstock','$url','$dist')");
     $phpgw->template->set_var("message","$id - $name has been added.");
     $phpgw->template->set_var("value_name",$name);
     $phpgw->template->set_var("value_des",$des);
     $phpgw->template->set_var("value_url",$url);
     $phpgw->template->set_var("value_cost",$cost);
     $phpgw->template->set_var("value_price",$price);
     $phpgw->template->set_var("value_retail",$retail);     
     $phpgw->template->set_var("value_stock",$stock);
     $phpgw->template->set_var("value_mstock",$mstock);
  }

  if (isset($phpgw_info["user"]["preferences"]["common"]["currency"])) {                                                                                  
  $currency = $phpgw_info["user"]["preferences"]["common"]["currency"];                                                                                        
   $phpgw->template->set_var("error","");                                                                                                                                 
   }                                                                                                                                                         
   else {                                                                                                                                                    
  $phpgw->template->set_var("error",lang("Please select your currency in preferences!"));                                                                                         
  }

  $phpgw->template->set_var("lang_action",lang("Add new product"));
  $phpgw->template->set_var("actionurl",$phpgw->link("addproduct.php"));
  $phpgw->template->set_var("lang_short_name","Short Name");
  $phpgw->template->set_var("lang_url","URL");
  $phpgw->template->set_var("lang_description","Description");
  $phpgw->template->set_var("lang_category","Category");
  $phpgw->template->set_var("lang_in_stock","in Stock");
  $phpgw->template->set_var("lang_min_stock","Min Stock");
  $phpgw->template->set_var("lang_cost","Cost");
  $phpgw->template->set_var("lang_price","Price");
  $phpgw->template->set_var("lang_retail","Retail");
  $phpgw->template->set_var("lang_status","Status");  
  $phpgw->template->set_var("lang_distributor","Distributor");  

  $phpgw->template->set_var("status_list",select_status_list());
  $phpgw->template->set_var("dist_list",select_dist_list());

  $phpgw->template->set_var("currency",$currency);
  
  if ($category_id) {
     $phpgw->template->set_var("category_list",select_category_list($category_id));
  } else {
     $phpgw->template->set_var("category_list",select_category_list($category));
  }

  $undefined = $phpgw->template->get_undefined("form");
  while ($undef = each($undefined)) {
    $phpgw->template->set_var($undef[0],"");
  }
  
  $phpgw->template->set_var("lang_addbutton",lang("Add"));                                                                                                                                    
  $phpgw->template->set_var("lang_reset",lang("Clear Form"));                                                                                                                                 
  $phpgw->template->set_var("edithandle","");                                                                                                                                                 
  $phpgw->template->set_var("addhandle","");                                                                                                                                                  
  $phpgw->template->set_var("acthandle","");                                                                                                                                                  
                                                                                                                                                                                              
  $phpgw->template->pparse("out","form");                                                                                                                                                     
  $phpgw->template->pparse("addhandle","add");  

  $phpgw->common->phpgw_footer();
?>
