<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * (http://www.phpgroupware.org)                                            *
  * Written by Bettina Gille  [aeb@hansenet.de]                              *
  * --------------------------------------------------------                 *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
/* $Id: delivery.php,v 1.23 2001/01/11 06:43:56 bettina Exp $ */

  $phpgw_info["flags"] = array("currentapp" => "inv",
                               "enable_nextmatchs_class" => True);
  include("../header.inc.php");

  $t = new Template($phpgw_info["server"]["app_tpl"]);
  $t->set_file(array("product_list_t" => "del_listproducts.tpl"));
  $t->set_block("product_list_t", "product_list", "list");

  $t->set_var(date_hint,"");
  $t->set_var("lang_action",lang("Delivery"));

  if($Delivery) {
   if(!$delivery_id) {
       $phpgw->db->query("INSERT INTO phpgw_inv_delivery (order_id,date) VALUES ('$order_id','" . time() ."')");
       $phpgw->db->query("SELECT LAST_INSERT_ID() AS id");
       $phpgw->db->next_record();
       $delivery_id = $phpgw->db->f("id");
     } 
 else   {
       $phpgw->db->query("UPDATE phpgw_inv_delivery set date='" . time() . "' WHERE id=$delivery_id");
        }
    $phpgw->db->query("DELETE FROM phpgw_inv_deliverypos WHERE delivery_id=$delivery_id");                                                                                                     
    $db2 = $phpgw->db;
    $db2->query("SELECT phpgw_inv_products.id FROM phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON "                                                                           
                  . "phpgw_inv_products.id=phpgw_inv_orderpos.product_id WHERE phpgw_inv_orderpos.order_id='$order_id'");                                                                                 
      while($db2->next_record()) {    
       $product_id = $db2->f("id");      
       $phpgw->db->query("INSERT INTO phpgw_inv_deliverypos (delivery_id,product_id) VALUES ('$delivery_id','$product_id')"); 
        }
      }
    
   if($Delivery) {
  $phpgw->db->query("SELECT num FROM phpgw_inv_delivery WHERE num='$delivery_num' AND id!=$delivery_id");
  if($phpgw->db->next_record()) {
    $t->set_var(delivery_hint,lang("Duplicate Delivery ID !"));
  } else {
    $t->set_var(delivery_hint,"");
    $phpgw->db->query("UPDATE phpgw_inv_delivery SET date='".time()."',num='$delivery_num' WHERE id=$delivery_id");
     }
    } else {
    $t->set_var(delivery_hint,"");
   }


  $common_hidden_vars =
   "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n"
 . "<input type=\"hidden\" name=\"query\" value=\"$query\">\n"
 . "<input type=\"hidden\" name=\"start\" value=\"$start\">\n"
 . "<input type=\"hidden\" name=\"filter\" value=\"$filter\">\n"
 . "<input type=\"hidden\" name=\"delivery_id\" value=\"$delivery_id\">\n"
 . "<input type=\"hidden\" name=\"order_id\" value=\"$order_id\">\n";

  $t->set_var(common_hidden_vars,$common_hidden_vars);   

//------------ list header variable template-declarations----------------------

  $t->set_var(th_bg,$phpgw_info["theme"][th_bg]);

  $t->set_var("h_lang_id",lang("Product ID"));                                                                         
  $t->set_var("h_lang_name",lang("Name"));                                                                         
  $t->set_var("h_lang_piece",lang("Piece"));                                                                                                                                                    
  $t->set_var("h_lang_des",lang("Description"));                                                                    
  $t->set_var("h_lang_pos",lang("Pos."));
  $t->set_var("lang_create_delivery",lang("Create delivery"));
  $t->set_var("actionurl",$phpgw->link("delivery.php"));
  $t->set_var("lang_print_delivery",lang("Print delivery"));

  if (isset($phpgw_info["user"]["preferences"]["inv"]["print_format"])) {
    $t->set_var("error","");
    if ($phpgw_info["user"]["preferences"]["inv"]["print_format"]=="html"):
     $t->set_var("print_delivery",$phpgw->link("delivery_print.php","order_id=$order_id"));  
    elseif ($phpgw_info["user"]["preferences"]["inv"]["print_format"]=="pdf"):
     $t->set_var("print_delivery",$phpgw->link("delivery_pdf.php","order_id=$order_id"));
    endif;
    }
  else {
    $t->set_var("error",lang("Please select the print format in preferences !"));
   }
  $t->set_var("lang_list_delivery",lang("List deliveries"));
  $t->set_var("list_delivery",$phpgw->link("delivery_list.php","order_id=$order_id"));
   
  // -------------- end header declaration -----------------


   if (!$delivery_id) {
   if ($phpgw_info["apps"]["timetrack"]["enabled"]) {
  
   $phpgw->db->query("SELECT descr,phpgw_inv_orders.customer,ab_company_id,company_name,ab_lastname,ab_firstname "
                  . "FROM phpgw_inv_orders,addressbook,customers "
                  . "WHERE phpgw_inv_orders.num='$order_id' AND customers.company_id=addressbook.ab_company_id and "
                  . "phpgw_inv_orders.customer=ab_company_id");
    if ($phpgw->db->next_record()) {
    $descr = $phpgw->strip_html($phpgw->db->f("descr"));                                                                                                                                   
    if (! $descr)  $descr  = "&nbsp;";    
    $t->set_var("descr",$descr);
    $t->set_var("customer",$phpgw->db->f("company_name")." [ ".
		$phpgw->db->f("ab_firstname")." ".$phpgw->db->f("ab_lastname")." ]");
    }  
    else {
    $t->set_var("descr",lang("no customer selected"));
    $t->set_var("customer",lang("no customer selected"));
      }
     }
   else {
   $phpgw->db->query("SELECT descr,phpgw_inv_orders.customer,ab_company,ab_lastname,ab_firstname "
                  . "FROM phpgw_inv_orders,addressbook "
                  . "WHERE phpgw_inv_orders.num='$order_id' AND phpgw_inv_orders.customer=ab_id");
  if($phpgw->db->next_record()) {
    $descr = $phpgw->strip_html($phpgw->db->f("descr"));                                                                                                                                   
    if (! $descr)  $descr  = "&nbsp;";    
    $t->set_var("descr",$descr);
    if (!$phpgw->db->f("ab_company")) {       
    $t->set_var("customer",$phpgw->db->f("ab_firstname")." ".$phpgw->db->f("ab_lastname"));
               }
    else {
    $t->set_var("customer",$phpgw->db->f("ab_company")." [ ".
		$phpgw->db->f("ab_firstname")." ".$phpgw->db->f("ab_lastname")." ]");
     }
    } 
    else {
    $t->set_var("descr",lang("no customer selected"));
    $t->set_var(customer,lang("no customer selected"));
      }
     }
   }
  else { 
  if ($phpgw_info["apps"]["timetrack"]["enabled"]) {                                                                                                                                            
                                                                                                                                                                                                 
   $phpgw->db->query("SELECT phpgw_inv_orders.descr,phpgw_inv_orders.customer,phpgw_inv_delivery.id,phpgw_inv_delivery.order_id,ab_company_id, "
                  . "company_name,ab_lastname,ab_firstname "                                                                                     
                  . "FROM phpgw_inv_orders,phpgw_inv_delivery,addressbook,customers "                                                                                                                                     
                  . "WHERE phpgw_inv_delivery.id='$delivery_id' AND phpgw_inv_delivery.order_id=phpgw_inv_orders.num AND "
                  . "customers.company_id=addressbook.ab_company_id and "                                                                                   
                  . "phpgw_inv_orders.customer=ab_company_id");                                                                                                                                        
    if ($phpgw->db->next_record()) {                                                                                                                                                             
    $descr = $phpgw->strip_html($phpgw->db->f("descr"));                                                                                                                                         
    if (! $descr)  $descr  = "&nbsp;";                                                                                                                                                           
    $t->set_var("descr",$descr);
    $t->set_var("customer",$phpgw->db->f("company_name")." [ ".                                                                                                                                  
                $phpgw->db->f("ab_firstname")." ".$phpgw->db->f("ab_lastname")." ]");                                                                                                            
    }                                                                                                                                                                                            
    else {                                                                                                                                                                                       
    $t->set_var("descr",lang("no customer selected"));                                                                                                                                           
    $t->set_var("customer",lang("no customer selected"));                                                                                                                                        
      }                                                                                                                                                                                          
     }                                                                                                                                                                                           
   else {                                                                                                                                                                                        
   $phpgw->db->query("SELECT phpgw_inv_orders.descr,phpgw_inv_orders.customer,phpgw_inv_delivery.id,phpgw_inv_delivery.order_id, "
                  . "ab_company,ab_lastname,ab_firstname FROM phpgw_inv_orders,phpgw_inv_delivery,addressbook "                                                                                                                                               
                  . "WHERE phpgw_inv_delivery.id='$delivery_id' AND phpgw_inv_delivery.order_id=phpgw_inv_orders.num "
                  . "AND phpgw_inv_orders.customer=ab_id");                                                                                                           
  if($phpgw->db->next_record()) {                                                                                                                                                                
    $descr = $phpgw->strip_html($phpgw->db->f("descr"));                                                                                                                                         
    if (! $descr)  $descr  = "&nbsp;";                                                                                                                                                           
    $t->set_var("descr",$descr);
    if (!$phpgw->db->f("ab_company")) {
    $t->set_var("customer",$phpgw->db->f("ab_firstname")." ".$phpgw->db->f("ab_lastname")); 
       }
    else {
    $t->set_var("customer",$phpgw->db->f("ab_company")." [ ".                                                                                                                                    
                $phpgw->db->f("ab_firstname")." ".$phpgw->db->f("ab_lastname")." ]");                                                                                                            
     }
    }                                                                                                                                                                                            
    else {                                                                                                                                                                                       
    $t->set_var("descr",lang("no customer selected"));                                                                                                                                           
    $t->set_var(customer,lang("no customer selected"));                                                                                                                                          
      } 
     }
    } 
    $t->set_var(title_descr,lang("Description"));                                                                                                                                                               
    $t->set_var(title_customer,lang("Customer"));  
    $t->set_var(title_delivery_num,lang("Delivery ID"));
  
  if(!$delivery_num) {
    $phpgw->db->query("SELECT max(num) AS max FROM phpgw_inv_delivery"); 
    if($phpgw->db->next_record()) {
      $t->set_var(delivery_num,(int)($phpgw->db->f("max"))+1);
    } else {
      $t->set_var(delivery_num,"1");
      }
      } else {
    $t->set_var(delivery_num,$phpgw->strip_html($delivery_num));
      }
    
    $pos = 0;
    if(!$delivery_id) {
    $date=0;
    $phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.piece FROM phpgw_inv_products LEFT JOIN phpgw_inv_orderpos ON "
                  . "phpgw_inv_products.id=phpgw_inv_orderpos.product_id WHERE phpgw_inv_orderpos.order_id='$order_id'");
     } else {
    $phpgw->db->query("SELECT date FROM phpgw_inv_delivery WHERE id=$delivery_id");
    $phpgw->db->next_record();
    $date=$phpgw->db->f("date");    
    
  $phpgw->db->query("SELECT phpgw_inv_products.*,phpgw_inv_orderpos.order_id,phpgw_inv_orderpos.piece FROM phpgw_inv_products "
                  . "LEFT JOIN phpgw_inv_orderpos ON "                                                                              
                  . "phpgw_inv_products.id=phpgw_inv_orderpos.product_id LEFT JOIN phpgw_inv_deliverypos ON "                                                                                              
                  . "phpgw_inv_deliverypos.product_id=phpgw_inv_products.id LEFT JOIN phpgw_inv_delivery ON "
                  . "phpgw_inv_delivery.order_id=phpgw_inv_orderpos.order_id "
                  . "WHERE phpgw_inv_delivery.id='$delivery_id' AND phpgw_inv_deliverypos.delivery_id='$delivery_id'");                                                                     
                  }
      

    if ($date != 0) {    

    $month = $phpgw->common->show_date($date,"n");                                                                                                                                             
    $day   = $phpgw->common->show_date($date,"d");                                                                                                                                             
    $year  = $phpgw->common->show_date($date,"Y");
    }
   else {

    $month = $phpgw->common->show_date(time(),"n");                                                                                                                                             
    $day   = $phpgw->common->show_date(time(),"d");                                                                                                                                             
    $year  = $phpgw->common->show_date(time(),"Y");
    
    }
    $date = (60*60) * $phpgw_info["user"]["preferences"]["common"]["tz_offset"];                                                                                                                
                                                                                                                                                                                                
    $dateout =  $phpgw->common->show_date($phpgw->db->f("date"),$phpgw_info["user"]["preferences"]["common"]["dateformat"]);                                                                    
                                                                                                                                                                                                
    $t->set_var("lang_delivery_date",lang("Delivery date"));                                                                                                                                    
    $t->set_var("date",$dateout);    


    while ($phpgw->db->next_record()) {
    $pos++;
    
    $tr_color = $phpgw->nextmatchs->alternate_row_color($tr_color);
    $t->set_var("tr_color",$tr_color);    
    $t->set_var("pos",$pos);

    $product_id = $phpgw->db->f("id");    
    $piece = $phpgw->db->f("piece");

    $des  = $phpgw->strip_html($phpgw->db->f("des"));                                                                                                                                               
    if (! $des)  $des  = "&nbsp;";                                                                                                                                                            
                                                                                                                                                                                              
    $name = $phpgw->strip_html($phpgw->db->f("name"));                                                                                                                                              
    if (! $name) $name = "&nbsp;";


// ---------------------- template declaration for list records ----------------

    $t->set_var(array("pos" => $pos,
                      "product_id" => $product_id,
                      "piece" => $piece,
                      "name" => $name,
    		      "des" => $des));
    $t->parse("list", "product_list", true);

// ------------------------ end record declaration ------------------------
  }

    $t->parse("out", "product_list_t", true);
    $t->p("out");


  $phpgw->common->phpgw_footer();
?>
