<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * This file written by Joseph Engo <jengo@phpgroupware.org>                *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: editproduct.php,v 1.27 2001/01/09 11:19:12 bettina Exp $ */

  if ($submit) {
      $phpgw_info["flags"] = array("noheader" => True, 
                                   "nonavbar" => True);
  }
    $phpgw_info["flags"]["currentapp"] = "inv";

  include("../header.inc.php");
  $phpgw->template->set_file(array("form" => "product_form.tpl"));
  $phpgw->template->set_block("form", "add", "addhandle");                                                                                                                                                 
  $phpgw->template->set_block("form", "edit", "edithandle");  
  

  if ($submit) {
     $name = addslashes($name);
     $des  = addslashes($des);
     $url  = addslashes($url);

     $phpgw->db->query("update phpgw_inv_products set name='$name', des='$des', category='$category', status='$status',"
			      . "cost='$cost', price='$price', retail='$retail', stock='$stock', mstock='$mstock',"
			      . "url='$url', dist='$dist' where con='$con'");

     $phpgw->db->query("select category from phpgw_inv_products where con='$con'");
     $phpgw->db->next_record();

     Header("Location: " . $phpgw->link("listproducts.php","filter=" . $phpgw->db->f("category")));
     $phpgw->common->phpgw_exit();
  }

  if (isset($phpgw_info["user"]["preferences"]["common"]["currency"])) {                                                                                     
  $currency = $phpgw_info["user"]["preferences"]["common"]["currency"];                                                                                      
   $phpgw->template->set_var("error","");                                                                                                                    
   }                                                                                                                                                         
   else {                                                                                                                                                    
  $phpgw->template->set_var("error",lang("Please select your currency in preferences!"));                                                                                     
  }  

  $phpgw->template->set_var("lang_action",lang("Edit product"));
  $phpgw->template->set_var("actionurl",$phpgw->link("editproduct.php"));
  $phpgw->template->set_var("deleteurl",$phpgw->link("deleteproduct.php"));
  $phpgw->template->set_var("hidden_vars",'<input type="hidden" name="con" value="' . $con . '">');
  $phpgw->template->set_var("lang_short_name","Short Name");
  $phpgw->template->set_var("lang_url","URL");
  $phpgw->template->set_var("lang_description","Description");
  $phpgw->template->set_var("lang_category","Category");
  $phpgw->template->set_var("lang_in_stock","in Stock");
  $phpgw->template->set_var("lang_min_stock","Min Stock");
  $phpgw->template->set_var("lang_cost","Cost");
  $phpgw->template->set_var("lang_price","Price");
  $phpgw->template->set_var("lang_retail","Retail");
  $phpgw->template->set_var("lang_status","Status");  
  $phpgw->template->set_var("lang_distributor","Distributor");  
  $phpgw->template->set_var("message","");
  $phpgw->template->set_var("currency",$currency);  
  
  $phpgw->db->query("select * from phpgw_inv_dist");
  while ($phpgw->db->next_record()) {
     $html_dist_list .= '<option value="' . $phpgw->db->f("con") . '"';
     if ($phpgw->db->f("status") == $status[0]) {
        $html_dist_list .= " selected";
     }
     $html_dist_list .= '>' . $phpgw->db->f("name") . '<option>';
  }
  $phpgw->template->set_var("dist_list",$html_dist_list);
  $phpgw->template->set_var("delete_button","");
    
  $phpgw->db->query("select * from phpgw_inv_products where con='$con'");
  $phpgw->db->next_record();

  $url  = $phpgw->db->f("url");
  $dist = $phpgw->db->f("dist");

  $phpgw->template->set_var("value_name",$phpgw->db->f("name"));
  $phpgw->template->set_var("value_des",$phpgw->db->f("des"));
  $phpgw->template->set_var("value_url",$phpgw->db->f("url"));
  $phpgw->template->set_var("value_cost",$phpgw->db->f("cost"));
  $phpgw->template->set_var("value_price",$phpgw->db->f("price"));
  
  $category = $phpgw->db->f("category");    
  $db2 = $phpgw->db;
  $db2->query("select tax from phpgw_inv_categorys where number='$category'");                                                                                                               
  $db2->next_record();                                                                                                                                                                        
  $tax = $db2->f("tax");                                                                                                                                                                      
  $taxpercent = ($tax/100);                                                                                                                                                                         

  $retail = round(($phpgw->db->f("price"))*(1+$taxpercent),2);
  $phpgw->template->set_var("value_retail",sprintf("%01.2f",$retail));
  
  $phpgw->template->set_var("value_stock",$phpgw->db->f("stock"));
  $phpgw->template->set_var("value_mstock",$phpgw->db->f("mstock"));
  $product_id = $phpgw->db->f("id");
  $phpgw->template->set_var("status_list",select_status_list($phpgw->db->f("status")));
  $phpgw->template->set_var("category_list",select_category_list(substr($product_id,0,3)));
  $phpgw->template->set_var("dist_list",select_dist_list());

  $phpgw->template->set_var("lang_editbutton",lang("Edit"));                                                                                                                                               
  $phpgw->template->set_var("lang_deletebutton",lang("Delete"));                                                                                                                                           
                                                                                                                                                                                             
  $phpgw->template->set_var("edithandle","");                                                                                                                                                              
  $phpgw->template->set_var("addhandle","");

  $phpgw->template->pparse("out","form");
  $phpgw->template->pparse("edithandle","edit");
  
$phpgw->common->phpgw_footer();
?>