<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * This file written by Joseph Engo <jengo@phpgroupware.org>                *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: header.inc.php,v 1.17 2001/01/09 11:19:13 bettina Exp $ */
  
  // You can have product id numbers in hex or decimal.  This was by my clients request.
  // I made a feature to have it other wise.
  $productid_type = "hex";
  
  // This is loaded by default
  function init()
  {
    global $status_list, $phpgw;

    $phpgw->db->query("select * from phpgw_inv_statuslist");
    while ($phpgw->db->next_record()) {
       $status_list[$phpgw->db->f("status_id")] = $phpgw->db->f("status_name");
    }
  }
  
  function select_dist_list($selected_item = "")
  {
    global $phpgw;
    
    $phpgw->db->query("select * from phpgw_inv_dist");
    while ($phpgw->db->next_record()) {
      $html_dist_list .= '<option value="' . $phpgw->db->f("con") . '">' . $phpgw->db->f("name") . '<option>';
    }
    return $html_dist_list;
  }
  
  // This will return the HTML for <select> boxs for product status
  function select_status_list($selected_item = "")
  {
    global $status_list;
    $sl = $status_list;		// For some reason, PHP has a problem with each() and global vars

    $html_selected[$selected_item] = " selected";

    while ($status = each($sl)) {
      $html_status_list .= '<option value="' . $status[0] . '"' . $html_selected[$status[0]] . '>'
      				. $status[1] . '</option>';
    }
    return $html_status_list;
  }
  
  // This will return the HTML for <select> boxs for categorys.
  function select_category_list($selected_item)
  {
    global $phpgw;

    if (gettype($selected_item) == "integer") {
       $phpgw->db->query("select name from phpgw_inv_categorys where number='$selected_item'");
       $phpgw->db->next_record();
       
       $selected_item = $phpgw->db->f("name");
    }
    $category_select[$selected_item] = " selected";
     
    $phpgw->db->query("select * from phpgw_inv_categorys order by name asc");
    while ($phpgw->db->next_record()) {
      $html_cat_list .= "<option value=\"" . $phpgw->db->f("number") . "\""
                      . $category_select[$phpgw->db->f("number")] . ">" . $phpgw->db->f("name")
	                 . "</option>";
    }
    return $html_cat_list;
  }
  
  function add_leading_zero($num)
  {
     global $productid_type;
     
     if ($productid_type == "hex") {
        $num = hexdec($num);
        $num++;
        $num = dechex($num);
     } else {
        $num++;
     }

     if (strlen($num) == 4)
        $return = $num;
     if (strlen($num) == 3)
        $return = "0$num";
     if (strlen($num) == 2)
        $return = "00$num";
     if (strlen($num) == 1)
        $return = "000$num";
     if (strlen($num) == 0)
        $return = "0001";

     return strtoupper($return);
  }

  function create_productid($catid)
  {
     global $phpgw;

     $phpgw->db->query("select max(id) from phpgw_inv_products where id like ('$catid%')");
     $phpgw->db->next_record();

     $max = add_leading_zero(substr($phpgw->db->f(0),3));

     return $catid . $max;
  }
  
   function select_tax($catid) {                                                                                                                                                                   
   global $phpgw;                                                                                                                                                                                  
       $phpgw->db->query("select tax from phpgw_inv_categorys where number='$catid'");                                                                                                                   
       $phpgw->db->next_record();                                                                                                                                                                  
       $tax = $phpgw->db->f("tax");                                                                                                                                                                
       $taxpercent = ($tax/100);                                                                                                                                                                   
                                                                                                                                                                                                   
    return $taxpercent;                                                                                                                                                                            
   }   

   init();

      $t = new Template($phpgw_info["server"]["app_tpl"]);
      $t->set_file(array("inv_header" => "header.tpl"));
      $info = lang("Inventory");
      $t->set_var("info", "<td bgcolor=\"" . $phpgw_info["theme"]["th_bg"]                                                                                                             
                        . "\" align=\"left\"><b>" . $info);

     $t->set_var("link_products","<a href=\"" . $phpgw->link("listproducts.php") . "\">" . lang("Products") ."</a>");
     $t->set_var("link_categorys","<a href=\"" . $phpgw->link("index.php") . "\">" . lang("Categories") ."</a>");
     $t->set_var("link_status","<a href=\"" . $phpgw->link("liststatus.php") . "\">" . lang("Status") ."</a>");
     $t->set_var("link_minstock","<a href=\"" . $phpgw->link("listminstock.php") . "\">" . lang("Out of stock products") ."</a>");
     $t->set_var("link_orders","<a href=\"" . $phpgw->link("listorders.php") . "\">" . lang("Orders") ."</a>");
//     $t->set_var("link_invoice","<a href=\"" . $phpgw->link("invoice.php") . "\">" . lang("Invoice") ."</a>");


     $t->pparse("out","inv_header");

?>

