<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * Written by Bettina Gille [aeb@hansenet.de]                               *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: index.php,v 1.17 2001/01/09 11:19:12 bettina Exp $ */
  
  $phpgw_info["flags"] = array("currentapp" => "inv",
                   "enable_nextmatchs_class" => True);

  include("../header.inc.php");
  
  $t = new Template($phpgw_info["server"]["app_tpl"]);                                                                                                             
  
  $t->set_file(array("cat_list_t" => "listcategorys.tpl",                                                                                                                
                     "cat_list"   => "listcategorys.tpl"));
  $t->set_block("cat_list_t","cat_list","list"); 
  
  if ($order) {
     $ordermethod = "order by $order $sort";
   } else {
    $ordermethod = "order by main_cat asc";
     }

  $t->set_var(lang_action,lang("Category list"));
  $t->set_var("add_action",$phpgw->link("addcategory.php"));                                                                                                 
  $t->set_var("lang_add",lang("Add"));
  
//------------------- list header variable template-declarations -------------------------                                                                                                             

  $t->set_var(th_bg,$phpgw_info["theme"][th_bg]);                                                                                                            
  $t->set_var(sort_name,$phpgw->nextmatchs->show_sort_order($sort,"name",$order,"index.php",lang("Name")));                                                     
  $t->set_var(sort_number,$phpgw->nextmatchs->show_sort_order($sort,"number",$order,"index.php",lang("Category ID")));                                      
  $t->set_var(sort_tax,$phpgw->nextmatchs->show_sort_order($sort,"tax",$order,"index.php",lang("tax")));
  $t->set_var(h_lang_products,lang("Products"));
  $t->set_var(h_lang_edit,lang("Edit"));
  $t->set_var(h_lang_delete,lang("Delete"));
  
// -------------------------- end header declaration --------------------------------------

  $phpgw->db->query("select * from phpgw_inv_categorys $ordermethod");                                                                                               
  
    while ($phpgw->db->next_record()) { 
    $tr_color = $phpgw->nextmatchs->alternate_row_color($tr_color);
    $t->set_var(tr_color,$tr_color);
 
    $level = $phpgw->db->f("level");
    $space = "&nbsp;&nbsp;";    
    if ($level > 0)
    $spaceset = str_repeat($space,$level);
     
    $name = $spaceset .$phpgw->strip_html($phpgw->db->f("name"));
    $number = $phpgw->db->f("number");                                                                                                                                                        
    $tax = $phpgw->db->f("tax");
    
    if ($phpgw->db->f("level") == 0) {
    $name = "<font color=FF0000><b>" . $phpgw->strip_html($phpgw->db->f("name")) . "</b></font>";
    if (! $name)  $name  = "&nbsp;";    
    $number = "<font color=FF0000><b>" . $phpgw->db->f("number") . "</b></font>"; 
    $tax = "<font color=FF0000><b>" . $phpgw->db->f("tax") . "</b></font>";     
    }
   
//-------------------------- template declaration for list records ---------------------------                                                                                                               
                                                                                                                                                            
    $t->set_var(array("name" => $name,                                                                                                                        
                      "number" => $number,                                                                                                           
                      "tax" => $tax));                                                                                                                
    
    $t->set_var("products",'<a href="' . $phpgw->link("listproducts.php","filter=" . $phpgw->db->f("number")) . '">Products</a>');
    
    $t->set_var("edit",'<a href="' . $phpgw->link("editcategory.php","con="                                                                       
                                 . $phpgw->db->f("con")) . '">Edit</a>');     
    
    $t->set_var("delete",'<a href="' . $phpgw->link("deletecategory.php","con="                                                                                                                    
                                 . $phpgw->db->f("con")) . '">Delete</a>');          
    
    $t->parse("list", "cat_list", true);                                                                                                                   
    }                                                                                                                                                          
   
// ---------------------------- end record declaration -----------------------------------------

       $t->parse("out", "cat_list_t", true);                                                                                                           
       $t->p("out");

$phpgw->common->phpgw_footer(); 
?>