<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * This file written by Joseph Engo <jengo@phpgroupware.org>                *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: listminstock.php,v 1.17 2001/01/10 23:26:46 bettina Exp $ */
  
  $phpgw_info["flags"] = array("currentapp" => "inv",
                  "enable_nextmatchs_class" => True);

  include("../header.inc.php");

  $phpgw->template->set_file(array("header" => "listproducts_full.tpl",
                                   "row"    => "listproducts_full.tpl",
                                   "footer" => "listproducts_full.tpl"));

  $phpgw->template->set_block("header","row","footer","empty_row");

   if (isset($phpgw_info["user"]["preferences"]["common"]["currency"])) {                                                                                                    
   $currency = $phpgw_info["user"]["preferences"]["common"]["currency"];                                                                                                     
   $phpgw->template->set_var("error","");                                                                                                                                    
   }                                                                                                                                                                         
   else {                                                                                                                                                                    
   $phpgw->template->set_var("error",lang("Please select your currency in preferences!"));                                                                                                    
   }  

  $phpgw->template->set_var("th_bg",$phpgw_info["theme"][th_bg]);
  $phpgw->template->set_var("sort_id",$phpgw->nextmatchs->show_sort_order($sort,"id",$order,"listminstock.php","Product ID"));
  $phpgw->template->set_var("sort_name",$phpgw->nextmatchs->show_sort_order($sort,"name",$order,"listminstock.php","Name"));
  $phpgw->template->set_var("sort_des",$phpgw->nextmatchs->show_sort_order($sort,"des",$order,"listminstock.php","Description"));
  $phpgw->template->set_var("sort_status",$phpgw->nextmatchs->show_sort_order($sort,"status",$order,"listminstock.php","Status"));
  $phpgw->template->set_var("sort_cost",$phpgw->nextmatchs->show_sort_order($sort,"cost",$order,"listminstock.php","Cost"));
  $phpgw->template->set_var("sort_price",$phpgw->nextmatchs->show_sort_order($sort,"price",$order,"listminstock.php","Price"));
  $phpgw->template->set_var("sort_retail",$phpgw->nextmatchs->show_sort_order($sort,"retail",$order,"listminstock.php","Retail"));
  $phpgw->template->set_var("sort_stock",$phpgw->nextmatchs->show_sort_order($sort,"stock",$order,"listminstock.php","Stock"));
  $phpgw->template->set_var("sort_url",$phpgw->nextmatchs->show_sort_order($sort,"url",$order,"listminstock.php","URL"));
  $phpgw->template->set_var("lang_edit",lang("Edit"));
  $phpgw->template->set_var("lang_delete",lang("Delete"));
  $phpgw->template->set_var("search_message","");
  $phpgw->template->set_var("currency",$currency);
  
  $phpgw->template->parse("out","header");

  if ($order) {
     $ordermethod = "$order $sort";
  } else {
     $ordermethod = "id asc";
  }

  $phpgw->db->query("select count(*) from phpgw_inv_products where mstock >= stock AND mstock != '0'");
  $phpgw->db->next_record();
 
  if ($phpgw->db->f(0) == 0) {
     $undefined = $phpgw->template->get_undefined("row");
     while ($undef = each($undefined)) {
       $phpgw->template->set_var($undef[0],"");
     }
     $phpgw->template->set_var("output","");
     $phpgw->template->pparse("out","footer");
     $phpgw->common->phpgw_footer();
     $phpgw->common->phpgw_exit();
  }

  $phpgw->db->query("select * from phpgw_inv_products where mstock >= stock AND mstock != '0' order by $ordermethod");
  while ($phpgw->db->next_record()) {
    $phpgw->templater_color = $phpgw->nextmatchs->alternate_row_color($phpgw->templater_color);
    $phpgw->template->set_var("tr_color",$phpgw->templater_color);
    $des  = $phpgw->strip_html($phpgw->db->f("des"));
    $url  = $phpgw->strip_html($phpgw->db->f("url"));
    $name = $phpgw->strip_html($phpgw->db->f("name"));

    if ($url) $url = '<a href="' . $url . '" target="_new">Click me</a>';

    if (! $des)  $des  = "&nbsp;";
    if (! $url)  $url  = "&nbsp;";
    if (! $name) $name = "&nbsp;";

//    $phpgw->template->set_var("currency",$currency);
    $phpgw->template->set_var("row_id",$phpgw->db->f("id"));
    $phpgw->template->set_var("row_name",$name);
    $phpgw->template->set_var("row_des",$des);
    $phpgw->template->set_var("row_status",$status_list[$phpgw->db->f("status")]);
    $phpgw->template->set_var("row_cost",$phpgw->db->f("cost"));
    $phpgw->template->set_var("row_price",$phpgw->db->f("price"));
    $phpgw->template->set_var("row_retail",$phpgw->db->f("retail"));

    if ($phpgw->db->f("mstock") == $phpgw->db->f("stock")) {
       $phpgw->template->set_var("row_stock","<b>" . $phpgw->db->f("stock") . "</b>"); 
    }
    if ($phpgw->db->f("mstock") < $phpgw->db->f("stock")) {
       $phpgw->template->set_var("row_stock",$phpgw->db->f("stock")); 
    }
    if ($phpgw->db->f("mstock") > $phpgw->db->f("stock")) {
       $phpgw->template->set_var("row_stock","<font color=FF0000>" . $phpgw->db->f("stock") . "</font>"); 
    }
    $phpgw->template->set_var("row_url",$url);
    $phpgw->template->set_var("row_edit",'<a href="' . $phpgw->link("editproduct.php","con="
                                     . $phpgw->db->f("con")) . '">Edit</a>');
    
    $phpgw->template->set_var("row_delete",'<a href="' . $phpgw->link("deleteproduct.php","con="
                                     . $phpgw->db->f("con")) . '">Edit</a>');

    if ($phpgw->db->num_rows() == 1) {
       $phpgw->template->set_var("output","");
    }
    if ($phpgw->db->num_rows() != ++$i) {
       $phpgw->template->parse("output","row",True);
    }
  }

  $phpgw->template->pparse("out","footer");

  $phpgw->common->phpgw_footer();
?>    
    