<?php
  /**************************************************************************\
  * phpGroupWare - Inventory                                                 *
  * http://www.phpgroupware.org                                              *
  * This file written by Bettina Gille [aeb@hansenet.de]                     *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: orderproducts.php,v 1.13 2001/01/15 05:31:16 bettina Exp $ */
  
  $phpgw_info["flags"] = array("currentapp" => "inv",
                               "enable_nextmatchs_class" => True);

  include("../header.inc.php");

  $t = new Template($phpgw_info["server"]["app_tpl"]);
  $t->set_file(array("product_list_t" => "orderproducts.tpl"));
  $t->set_block("product_list_t","product_list","list");

  $t->set_var(lang_action,lang("Product list"));                                                                                                                                         


   if (isset($phpgw_info["user"]["preferences"]["common"]["currency"])) {                                                                                                                              
   $currency = $phpgw_info["user"]["preferences"]["common"]["currency"];                                                                                                                               
   $t->set_var("error","");                                                                                                                                                          
   }                                                                                                                                                                                               
   else {                                                                                                                                                                                          
   $t->set_var("error",lang("Please select your currency in preferences!"));                                                                                                                           
   }
  
  if ($Delete) {
   $phpgw->db->query("delete from phpgw_inv_orderpos where order_id='$order_id'");                                                                                                                      
   while($choose && $entry=each($choose)) {                                                                                                                                                         
        $phpgw->db->query("INSERT INTO phpgw_inv_orderpos(order_id,product_id,piece,tax) VALUES('$order_id','$entry[0]','$piece','$tax')");                                                                                         
            }                                                                                                                                                                                       
         }
  
   if ($Order) { 
    
        $db2 = $phpgw->db;                                                                                                                                                                  
        $db2->query("select phpgw_inv_categorys.tax from phpgw_inv_categorys where number = '$filter'");                                                                                            
        while ($db2->next_record()) {                                                                                                                                                       
        $tax = $db2->f("tax");                                                                                                                                                              
         }
        while(($choose && $entry=each($choose)) && ($piece && $insert=each($piece))) {
        $phpgw->db->query("INSERT INTO phpgw_inv_orderpos(order_id,product_id,piece,tax) VALUES('$order_id','$entry[0]','$insert[1]','$tax')");
            }
        }
  if ($order) {                                                                                                                                                                                  
    $ordermethod = "$order $sort";                                                                                                                                                              
    } else {                                                                                                                                                                                       
    $ordermethod = "id asc";                                                                                                                                                                    
   }                                                                                                                                                                                              
                                                                                                                                                                                                
 if (! $filter) {                                                                                                                                                                               
  $phpgw->db->query("select category from phpgw_inv_products where name like '%$query%' or des like '%$query%'");                                                                            
  $phpgw->db->next_record();                                                                                                                                                           
  $filter = $phpgw->db->f("category");
     }
 
  if ($query) {                                                                                                                                                                                    
    $querymethod = "or name like '%$query%' or des like '%$query%'";                                                                                                                              
    }

   $hidden_vars =                                                                                                                                                                   
    "<input type=\"hidden\" name=\"order_id\" value=\"$order_id\">\n";                                                                                                                  
                                                                                                                                                                                          
   $t->set_var("hidden_vars",$hidden_vars);

  $t->set_var("lang_select_category","Select Category");

  $category_select[$filter] = " selected";

  $t->set_var("category_list",select_category_list($filter));
  $t->set_var("lang_search",lang("Search this category"));
  $t->set_var("lang_submit",lang("Submit"));
  $t->set_var("currency",$currency);

//-----------list header variable template-declarations------------------------
  
  $t->set_var("th_bg",$phpgw_info["theme"][th_bg]);
  $t->set_var("sort_id",$phpgw->nextmatchs->show_sort_order($sort,"id",$order,"orderproducts.php",lang("Product ID")));
  $t->set_var("sort_name",$phpgw->nextmatchs->show_sort_order($sort,"name",$order,"orderproducts.php",lang("Name")));
  $t->set_var("lang_piece",lang("Piece"));
  $t->set_var("sort_des",$phpgw->nextmatchs->show_sort_order($sort,"des",$order,"orderproducts.php",lang("Description")));
  $t->set_var("sort_status",$phpgw->nextmatchs->show_sort_order($sort,"status",$order,"orderproducts.php",lang("Status")));
  $t->set_var("sort_cost",$phpgw->nextmatchs->show_sort_order($sort,"cost",$order,"orderproducts.php",lang("Cost")));
  $t->set_var("sort_price",$phpgw->nextmatchs->show_sort_order($sort,"price",$order,"orderproducts.php",lang("Price")));
  $t->set_var("sort_retail",$phpgw->nextmatchs->show_sort_order($sort,"retail",$order,"orderproducts.php",lang("Retail")));
  $t->set_var("sort_stock",$phpgw->nextmatchs->show_sort_order($sort,"stock",$order,"orderproducts.php",lang("Stock")));
  $t->set_var("sort_url",$phpgw->nextmatchs->show_sort_order($sort,"url",$order,"orderproducts.php",lang("URL")));
  $t->set_var(h_lang_choose,lang("Select"));  
  $t->set_var(lang_addtoorder,lang("Add to order")); 
  $t->set_var(lang_vieworder,lang("View order")); 
  $t->set_var(lang_deleteorder,lang("Delete from order"));                                                                                                                                 
  $t->set_var(actionurl,$phpgw->link("orderproducts.php"));
  
  // -------------- end header declaration ----------------- 

                                                                                                                                                           

 if ((!$Order) && (!$View) && (!$Delete)) {

    $taxpercent = select_tax($filter);
    $phpgw->db->query("select phpgw_inv_products.* from phpgw_inv_products where category='$filter' $querymethod order by $ordermethod");
     while ($phpgw->db->next_record()) {

    $tr_color = $phpgw->nextmatchs->alternate_row_color($tr_color);                                                                                                                       
    $t->set_var("tr_color",$tr_color);    
    $choose = "<input type=\"checkbox\" name=\"choose[".$phpgw->db->f("id")."]\" value=\"True\">";

    $des  = $phpgw->strip_html($phpgw->db->f("des"));
    if (! $des)  $des  = "&nbsp;";

    $name = $phpgw->strip_html($phpgw->db->f("name"));
    if (! $name) $name = "&nbsp;";
    
    $url  = $phpgw->strip_html($phpgw->db->f("url"));
    if ($url) $url = '<a href="' . $url . '" target="_new">Click me</a>';
    if (! $url)  $url  = "&nbsp;";

    $id = $phpgw->db->f("id");

    $piece = "<input type=\"text\" name=\"piece[]\" value=\"\" size=5>";

    $status = $status_list[$phpgw->db->f("status")];
    $cost = $phpgw->db->f("cost");
    $price = $phpgw->db->f("price");

    $retail = round(($phpgw->db->f("price"))*(1+$taxpercent),2);                                                                                                                                
//    $retail = $phpgw->db->f("retail");

    $stock = $phpgw->db->f("stock");
    if ($phpgw->db->f("mstock") == $phpgw->db->f("stock")) {
       $stock = "<b>" . $phpgw->db->f("stock") . "</b>"; 
     }
    if ($phpgw->db->f("mstock") > $phpgw->db->f("stock")) {
       $stock = "<font color=FF0000>" . $phpgw->db->f("stock") . "</font>"; 
     }

//-----------template declaration for list records----------------

    $t->set_var(array("choose" => $choose,                                                                                                                                                
                      "id" => $id,                                                                                                                                            
                      "name" => $name,                                                                                                                                                
                      "piece" => $piece,
                      "des" => $des,                                                                                                                                                
                      "url" => $url,                                                                                                                                                 
                      "status" => $status,
                      "cost" => $cost,
                      "price" => $price, 
                      "retail" => sprintf("%01.2f",$retail),                                                                                                                                                      
                      "stock" => $stock));                                                                                                                         

   $t->parse("list", "product_list", true);                                                                                                                                         
                                                                                                                                                                                          
    // -------------- end record declaration ------------------------   
   }
 }

if (($Order) or ($View) or ($Delete)) {
    $phpgw->db->query("select phpgw_inv_products.*,phpgw_inv_orderpos.piece,phpgw_inv_orderpos.tax from phpgw_inv_products LEFT JOIN "
                      . "phpgw_inv_orderpos ON phpgw_inv_products.id=phpgw_inv_orderpos.product_id "
                      . "where phpgw_inv_orderpos.order_id='$order_id'");                                                                                                                   
     while ($phpgw->db->next_record()) {                                                                                                                                                        
                                                                                                                                                                                                
    $tr_color = $phpgw->nextmatchs->alternate_row_color($tr_color);                                                                                                                             
    $t->set_var("tr_color",$tr_color);                                                                                                                                                          
    $choose = "<input type=\"checkbox\" name=\"choose[".$phpgw->db->f("id")."]\" value=\"True\" checked>";                                                                                              
                                                                                                                                                                                                
    $des  = $phpgw->strip_html($phpgw->db->f("des"));                                                                                                                                                 
    if (! $des)  $des  = "&nbsp;";                                                                                                                                                              
                                                                                                                                                                                                
    $name = $phpgw->strip_html($phpgw->db->f("name"));                                                                                                                                                
    if (! $name) $name = "&nbsp;";                                                                                                                                                              
                                                                                                                                                                                                
    $url  = $phpgw->strip_html($phpgw->db->f("url"));                                                                                                                                                 
    if ($url) $url = '<a href="' . $url . '" target="_new">Click me</a>';                                                                                                                       
    if (! $url)  $url  = "&nbsp;";                                                                                                                                                              
                                                                                                                                                                                                
    $id = $phpgw->db->f("id");

    $piece = $phpgw->db->f("piece");  
                                                                                                                                                                                                
    $status = $status_list[$phpgw->db->f("status")];                                                                                                                                            
    $cost = $phpgw->db->f("cost");                                                                                                                                                              
    $price = $phpgw->db->f("price");                                                                                                                                                            

    $tax = $phpgw->db->f("tax");
    $taxpercent = ($tax/100);
    $retail = round(($phpgw->db->f("price"))*(1+$taxpercent),2);
//  $retail = $phpgw->db->f("retail");                                                                                                                                                          
                                                                                                                                                                                                
    $stock = $phpgw->db->f("stock");                                                                                                                                                            
    if ($phpgw->db->f("mstock") == $phpgw->db->f("stock")) {                                                                                                                                    
       $stock = "<b>" . $phpgw->db->f("stock") . "</b>";                                                                                                                                        
     }                                                                                                                                                                                          
    if ($phpgw->db->f("mstock") > $phpgw->db->f("stock")) {                                                                                                                                     
       $stock = "<font color=FF0000>" . $phpgw->db->f("stock") . "</font>";                                                                                                                     
     }                                                                                                                                                                                          
                                                                                                                                                                                                
//-----------template declaration for list records----------------                                                                                                                              
                                                                                                                                                                                                
    $t->set_var(array("choose" => $choose,                                                                                                                                                      
                      "id" => $id,                                                                                                                                                              
                      "piece" => $piece,
                      "name" => $name,                                                                                                                                                          
                      "des" => $des,                                                                                                                                                            
                      "url" => $url,                                                                                                                                                            
                      "status" => $status,
                      "cost" => $cost,                                                                                                                                                          
                      "price" => $price,                                                                                                                                                        
                      "retail" => sprintf("%01.2f",$retail),                                                                                                                                                      
                      "stock" => $stock));                                                                                                                                                      
                                                                                                                                                                                                
   $t->parse("list", "product_list", true);                                                                                                                                                     
                                                                                                                                                                                                
    // -------------- end record declaration ------------------------                                                                                                                           
 }
}
    $t->parse("out", "product_list_t", true);                                                                                                                                        
    $t->p("out");
 
$phpgw->common->phpgw_footer();
?>
